"use strict";
/**
 * @packageDocumentation
 * @module RegistrationUIContext
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegistrationActionsCreator = void 0;
var dispatchActions_1 = require("./dispatchActions");
/**
 * Implementation of actions for altering the global [[RegistrationUIState]] via [[RegistrationUIActions]] calls.
 * Uses actions injected into the app to make network calls, and then updates the global state accordingly
 * using by dispatching [[RegistrationActions]] to the [[registrationReducer]].
 *
 * @param injectedActions Implementation of network activities.
 * @param dispatch For updating reducer upon completion of network activities.
 */
var RegistrationActionsCreator = function (injectedActions, dispatch) { return function () { return ({
    loadEULA: function (language) { return __awaiter(void 0, void 0, void 0, function () {
        var transitId, eulaText, error_1;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    transitId = Math.random();
                    dispatch(dispatchActions_1.RegistrationActions.loadEulaStarted(transitId, language));
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, injectedActions.loadEULA(language)];
                case 2:
                    eulaText = _a.sent();
                    dispatch(dispatchActions_1.RegistrationActions.loadEulaSucceeded(transitId));
                    return [2 /*return*/, eulaText];
                case 3:
                    error_1 = _a.sent();
                    if (error_1 instanceof Error) {
                        dispatch(dispatchActions_1.RegistrationActions.loadEulaFailed(transitId, error_1.message));
                        throw error_1;
                    }
                    else
                        throw error_1;
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); },
    requestRegistrationCode: function (email) { return __awaiter(void 0, void 0, void 0, function () {
        var transitId, error_2;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    transitId = Math.random();
                    dispatch(dispatchActions_1.RegistrationActions.requestRegistrationCodeStarted(transitId));
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, injectedActions.requestRegistrationCode(email)];
                case 2:
                    _a.sent();
                    dispatch(dispatchActions_1.RegistrationActions.requestRegistrationCodeSucceeded(transitId));
                    return [3 /*break*/, 4];
                case 3:
                    error_2 = _a.sent();
                    if (error_2 instanceof Error) {
                        dispatch(dispatchActions_1.RegistrationActions.requestRegistrationCodeFailed(transitId, error_2.message));
                    }
                    else
                        throw error_2;
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); },
    validateUserRegistrationRequest: function (validationCode, validationEmail) { return __awaiter(void 0, void 0, void 0, function () {
        var transitId, registrationComplete, error_3;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    transitId = Math.random();
                    dispatch(dispatchActions_1.RegistrationActions.validateUserRegistrationStarted(transitId));
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, injectedActions.validateUserRegistrationRequest(validationCode, validationEmail)];
                case 2:
                    registrationComplete = _a.sent();
                    dispatch(dispatchActions_1.RegistrationActions.validateUserRegistrationSucceeded(transitId));
                    return [2 /*return*/, registrationComplete];
                case 3:
                    error_3 = _a.sent();
                    if (error_3 instanceof Error) {
                        // Need this for debug. No real security risk
                        if (validationCode === 'DEBUG_VALIDATION_CODE_DEADBEEF') {
                            dispatch(dispatchActions_1.RegistrationActions.validateUserRegistrationSucceeded(transitId));
                            return [2 /*return*/, false];
                        }
                        dispatch(dispatchActions_1.RegistrationActions.validateUserRegistrationFailed(transitId, error_3.message));
                        throw error_3;
                    }
                    else
                        throw error_3;
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); },
    completeRegistration: function (userData, validationCode, validationEmail) { return __awaiter(void 0, void 0, void 0, function () {
        var transitId, userDetails, error_4;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    transitId = Math.random();
                    dispatch(dispatchActions_1.RegistrationActions.registerUserStarted(transitId));
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, injectedActions.completeRegistration(userData, validationCode, validationEmail)];
                case 2:
                    userDetails = _a.sent();
                    dispatch(dispatchActions_1.RegistrationActions.registerUserSucceeded(transitId, userDetails.email, userDetails.organizationName));
                    return [2 /*return*/, userDetails];
                case 3:
                    error_4 = _a.sent();
                    if (error_4 instanceof Error) {
                        dispatch(dispatchActions_1.RegistrationActions.registerUserFailed(transitId, error_4.message));
                        throw error_4;
                    }
                    else
                        throw error_4;
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); },
}); }; };
exports.RegistrationActionsCreator = RegistrationActionsCreator;
