"use strict";
/**
 * @packageDocumentation
 * @module TransitState
 * @internal
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.transitFailed = exports.transitSuccess = exports.transitStart = exports.initialTransitState = void 0;
/**
 * Default transit state for a network call that has not yet fired.
 */
exports.initialTransitState = {
    transitId: null,
    transitErrorMessage: null,
    transitInProgress: false,
    transitComplete: false,
    transitSuccess: false,
};
var transitStart = function (transitId) {
    if (transitId === void 0) { transitId = null; }
    return ({
        transitId: transitId,
        transitErrorMessage: null,
        transitInProgress: true,
        transitComplete: false,
        transitSuccess: false,
    });
};
exports.transitStart = transitStart;
var transitSuccess = function (transitId) {
    if (transitId === void 0) { transitId = null; }
    return ({
        transitId: transitId,
        transitErrorMessage: null,
        transitInProgress: false,
        transitComplete: true,
        transitSuccess: true,
    });
};
exports.transitSuccess = transitSuccess;
var transitFailed = function (errorMessage, transitId) {
    if (transitId === void 0) { transitId = null; }
    return ({
        transitId: transitId,
        transitErrorMessage: errorMessage,
        transitInProgress: false,
        transitComplete: true,
        transitSuccess: false,
    });
};
exports.transitFailed = transitFailed;
