"use strict";
/**
 * @packageDocumentation
 * @module Helpers
 */
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseTextForJSX = void 0;
var tagRegex = /^<(\w+?)>(.+?)<\/(\w+?)>/s;
var beforeTagRegex = /^(.+?)(?=<\w+?>)/s;
var parseNextChunk = function (textToParse) {
    var _a, _b, _c;
    var tagMatch = tagRegex.exec(textToParse);
    var beforeTagMatch = beforeTagRegex.exec(textToParse);
    var tag = 'none';
    var text = '';
    var nextIndex = textToParse.length;
    if (tagMatch) {
        tag = (_a = tagMatch[1]) !== null && _a !== void 0 ? _a : '';
        text = (_b = tagMatch[2]) !== null && _b !== void 0 ? _b : '';
        nextIndex = tagMatch[0].length;
    }
    else if (beforeTagMatch) {
        text = (_c = beforeTagMatch[1]) !== null && _c !== void 0 ? _c : '';
        nextIndex = beforeTagMatch[0].length;
    }
    else {
        text = textToParse;
    }
    var result = [{ tag: tag, text: text }];
    if (textToParse.length > 0) {
        return __spreadArray(__spreadArray([], result, true), parseNextChunk(textToParse.substring(nextIndex)), true);
    }
    return result;
};
var parseTextForJSX = function (parseableText) { return parseNextChunk(parseableText); };
exports.parseTextForJSX = parseTextForJSX;
