"use strict";
/**
 * @packageDocumentation
 * @module Hooks
 * @internal
 */
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLanguageLocale = void 0;
var react_1 = __importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var DateTimeFormatter = __importStar(require("../lib/date-time-formatter"));
var useLanguageLocale = function () {
    var _a = (0, react_i18next_1.useTranslation)(), t = _a.t, i18n = _a.i18n;
    var tFunctionWithNoDataDefault = react_1.default.useCallback(function (key, options) {
        if (typeof options === 'object' && options.count === undefined) {
            // eslint-disable-next-line @typescript-eslint/restrict-template-expressions
            return t("".concat(key, "_noData"), __assign({ defaultValue: t(key, options) }, options));
        }
        return t(key, options);
    }, [t]);
    return react_1.default.useMemo(function () { return ({
        t: tFunctionWithNoDataDefault,
        formatDateTime: function (dateTime) {
            return DateTimeFormatter.formatDateTime(dateTime, i18n.language);
        },
        formatMonthLong: function (dateTime) {
            return DateTimeFormatter.formatMonthLong(dateTime, i18n.language);
        },
        formatDate: function (dateTime) {
            return DateTimeFormatter.formatDate(dateTime, i18n.language);
        },
        formatDateShort: function (dateTime) {
            return DateTimeFormatter.formatDateShort(dateTime, i18n.language);
        },
        formatTime: function (dateTime) {
            return DateTimeFormatter.formatTime(dateTime, i18n.language);
        },
        formatTimeShort: function (dateTime) {
            return DateTimeFormatter.formatTimeShort(dateTime, i18n.language);
        },
        timeSince: function (dateTime) { return DateTimeFormatter.timeSince(dateTime); },
    }); }, [tFunctionWithNoDataDefault, i18n]);
};
exports.useLanguageLocale = useLanguageLocale;
