"use strict";
/**
 * @packageDocumentation
 * @module Stores
 * @internal
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthUIInternalStore = void 0;
var react_1 = __importStar(require("react"));
var state_1 = require("../contexts/AccountUIContext/state");
var AccountUIContext_1 = require("../contexts/AccountUIContext");
var context_1 = require("../contexts/RegistrationUIContext/context");
var RegistrationUIContext_1 = require("../contexts/RegistrationUIContext");
var state_2 = require("../contexts/RegistrationUIContext/state");
var AuthUIContextProvider_1 = require("../contexts/AuthUIContextProvider");
var actions_1 = require("../contexts/AccountUIContext/actions");
var AuthUIInternalStore = function (props) {
    var injectedContext = (0, AuthUIContextProvider_1.useInjectedUIContext)();
    // Setup the Authentication Items
    var _a = (0, react_1.useReducer)(AccountUIContext_1.defaultAccountUIReducer, state_1.initialAccountUIState), authState = _a[0], authDispatch = _a[1];
    var authActions = (0, actions_1.AccountActionsCreator)(injectedContext.authActions(), authDispatch)();
    // Setup the Registration Items
    var _b = (0, react_1.useReducer)(RegistrationUIContext_1.registrationReducer, state_2.initialRegistrationState), registrationState = _b[0], registrationDispatch = _b[1];
    var registrationActions = (0, RegistrationUIContext_1.RegistrationActionsCreator)(injectedContext.registrationActions(), registrationDispatch)();
    // Middleware to dump state for debugging
    (0, react_1.useEffect)(function () {
        // console.log({ newAuthState: authState });
        // console.log({ newRegistrationState: registrationState });
    }, [registrationState, authState]);
    return (react_1.default.createElement(AccountUIContext_1.AccountUIActionContext.Provider, { value: { actions: authActions, dispatch: authDispatch } },
        react_1.default.createElement(context_1.RegistrationActionContext.Provider, { value: { actions: registrationActions, dispatch: registrationDispatch } },
            react_1.default.createElement(AccountUIContext_1.AccountUIStateContext.Provider, { value: authState },
                react_1.default.createElement(context_1.RegistrationStateContext.Provider, { value: registrationState }, props.children)))));
};
exports.AuthUIInternalStore = AuthUIInternalStore;
