"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthGuard = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_router_dom_1 = require("react-router-dom");
var RoutingContext_1 = require("../contexts/RoutingContext");
/**
 * Component that renders a conditional Route. If the user is not authenticated, this route
 * will redirect to the login route. If the user is authenticated, it will render the provided
 * content.
 *
 * @category Component
 */
var AuthGuard = function () {
    var securityState = (0, react_auth_shared_1.useSecurityState)();
    var location = (0, react_router_dom_1.useLocation)();
    var routes = (0, RoutingContext_1.useRoutes)().routes;
    var navigate = (0, react_router_dom_1.useNavigate)();
    (0, react_1.useEffect)(function () {
        if (!securityState.isAuthenticatedUser) {
            navigate(routes.LOGIN, { replace: true, state: { from: location } });
        }
    }, [securityState, navigate, location, routes.LOGIN]);
    return react_1.default.createElement(react_router_dom_1.Outlet, null);
};
exports.AuthGuard = AuthGuard;
