"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandedCardContainer = exports.BrandedBackground = void 0;
var react_1 = __importDefault(require("react"));
var Card_1 = __importDefault(require("@mui/material/Card"));
var styles_1 = require("@mui/material/styles");
var Spinner_1 = require("./Spinner");
var background_svg_1 = __importDefault(require("../assets/images/background.svg"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var Box_1 = __importDefault(require("@mui/material/Box"));
/**
 * Component that renders a blue textured background and centers its children in the screen.
 *
 * @param children the content to render on the blue background
 *
 * @category Component
 */
var BrandedBackground = function (props) {
    var background = (0, react_auth_shared_1.useInjectedUIContext)().background;
    var theme = (0, styles_1.useTheme)();
    return (react_1.default.createElement(Box_1.default, { sx: {
            height: '100%',
            width: '100%',
            backgroundColor: theme.palette.mode === 'light' ? theme.palette.primary.main : theme.palette.primary.dark,
            backgroundImage: "url(".concat(background_svg_1.default, ")"),
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
        }, style: background || {} }, props.children));
};
exports.BrandedBackground = BrandedBackground;
/**
 * Component that renders a card centered on a blue textured background.
 *
 * @param loading if true a loading spinner will be displayed blocking the content
 *
 * @category Component
 */
var BrandedCardContainer = function (props) {
    var _a;
    var children = props.children, loading = props.loading, otherProps = __rest(props, ["children", "loading"]);
    var theme = (0, styles_1.useTheme)();
    return (react_1.default.createElement(exports.BrandedBackground, __assign({}, otherProps),
        react_1.default.createElement(Card_1.default, { sx: (_a = {
                    width: '100%',
                    height: '100%',
                    maxWidth: '450px',
                    maxHeight: '730px',
                    overflow: 'auto',
                    display: 'flex',
                    flexDirection: 'column',
                    position: 'relative'
                },
                _a[theme.breakpoints.down('sm')] = {
                    maxWidth: 'none',
                    maxHeight: 'none',
                    borderRadius: 0,
                },
                _a) },
            react_1.default.createElement(Spinner_1.Spinner, { visible: loading }),
            children)));
};
exports.BrandedCardContainer = BrandedCardContainer;
