import { ReactElement } from 'react';
type GuestGuardProps = {
    children?: ReactElement | null;
};
/**
 * Component that renders a conditional Route. If the user is already authenticated, this route
 * will redirect back to the prior route. If the user is not authenticated, it will render the provided
 * content.
 *
 * @param children The element/route to render if the user is not authenticated
 *
 * @category Component
 */
export declare const GuestGuard: ({ children }: GuestGuardProps) => JSX.Element | null;
export {};
