"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuestGuard = void 0;
var react_1 = require("react");
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_router_dom_1 = require("react-router-dom");
/**
 * Component that renders a conditional Route. If the user is already authenticated, this route
 * will redirect back to the prior route. If the user is not authenticated, it will render the provided
 * content.
 *
 * @param children The element/route to render if the user is not authenticated
 *
 * @category Component
 */
var GuestGuard = function (_a) {
    var children = _a.children;
    var securityState = (0, react_auth_shared_1.useSecurityState)();
    var location = (0, react_router_dom_1.useLocation)();
    var navigate = (0, react_router_dom_1.useNavigate)();
    (0, react_1.useEffect)(function () {
        var _a;
        if (securityState.isAuthenticatedUser) {
            navigate(((_a = location.state) === null || _a === void 0 ? void 0 : _a.from) ? location.state.from : '/', {
                replace: true,
            });
        }
    }, [securityState, navigate, location]);
    return children;
};
exports.GuestGuard = GuestGuard;
