"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRoutes = exports.RoutingContext = void 0;
var react_1 = require("react");
/**
 * Context Provider that gives access to the custom routes defined for the public routes (pre authentication).
 *
 * @param routes A object containing the required routes and their respective paths
 *
 * @category Component
 */
exports.RoutingContext = (0, react_1.createContext)(null);
var useRoutes = function () {
    var context = (0, react_1.useContext)(exports.RoutingContext);
    if (context === null) {
        throw new Error('useRoutes must be used within a RoutingContextProvider');
    }
    return context;
};
exports.useRoutes = useRoutes;
