"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicDialog = exports.DialogButtonStyles = exports.DialogActionsStyles = exports.DialogContentStyles = exports.DialogTitleStyles = void 0;
var react_1 = __importDefault(require("react"));
var Button_1 = __importDefault(require("@mui/material/Button"));
var Dialog_1 = __importDefault(require("@mui/material/Dialog"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var DialogTitle_1 = __importDefault(require("@mui/material/DialogTitle"));
var DialogContent_1 = __importDefault(require("@mui/material/DialogContent"));
var DialogActions_1 = __importDefault(require("@mui/material/DialogActions"));
var styles_1 = require("@mui/material/styles");
var DialogTitleStyles = function (theme) {
    var _a;
    return (_a = {
            p: "".concat(theme.spacing(4), " ").concat(theme.spacing(3), " 0 ").concat(theme.spacing(3))
        },
        _a[theme.breakpoints.down('sm')] = {
            p: "".concat(theme.spacing(2), " ").concat(theme.spacing(2), " 0 ").concat(theme.spacing(2)),
        },
        _a);
};
exports.DialogTitleStyles = DialogTitleStyles;
var DialogContentStyles = function (theme) {
    var _a;
    return (_a = {
            flex: '1 1 0px',
            overflow: 'auto',
            display: 'flex',
            flexDirection: 'column',
            p: "".concat(theme.spacing(2), " ").concat(theme.spacing(3))
        },
        _a[theme.breakpoints.down('sm')] = {
            p: "".concat(theme.spacing(2), " ").concat(theme.spacing(2), " ").concat(theme.spacing(3), " ").concat(theme.spacing(2)),
        },
        _a);
};
exports.DialogContentStyles = DialogContentStyles;
var DialogActionsStyles = function (theme) {
    var _a;
    return (_a = {
            p: 3,
            justifyContent: 'flex-end'
        },
        _a[theme.breakpoints.down('sm')] = {
            p: 2,
        },
        _a);
};
exports.DialogActionsStyles = DialogActionsStyles;
var DialogButtonStyles = function (fullWidth) {
    if (fullWidth === void 0) { fullWidth = false; }
    return ({
        width: fullWidth ? '100%' : 100,
    });
};
exports.DialogButtonStyles = DialogButtonStyles;
/**
 * Component that renders a basic dialog with a title, body description, and a close button.
 *
 * @param title text to show in the title
 * @param body text to show in the body
 * @param onClose function to call when the close button is clicked
 * @param props all other props will be spread to the underlying Dialog component
 * @param dismissButtonText text to show in the close button
 *
 * @category Component
 */
var BasicDialog = function (props) {
    var title = props.title, body = props.body, dismissButtonText = props.dismissButtonText, dialogProps = __rest(props, ["title", "body", "dismissButtonText"]);
    var theme = (0, styles_1.useTheme)();
    return (react_1.default.createElement(Dialog_1.default, __assign({}, dialogProps),
        react_1.default.createElement(DialogTitle_1.default, { sx: (0, exports.DialogTitleStyles)(theme) }, title),
        react_1.default.createElement(DialogContent_1.default, { sx: __assign(__assign({}, (0, exports.DialogContentStyles)(theme)), { flex: '1 1 auto' }) },
            react_1.default.createElement(Typography_1.default, null, body)),
        react_1.default.createElement(DialogActions_1.default, { sx: (0, exports.DialogActionsStyles)(theme) },
            react_1.default.createElement(Button_1.default, { variant: "text", color: "primary", onClick: dialogProps.onClose, sx: (0, exports.DialogButtonStyles)() }, dismissButtonText || 'Okay'))));
};
exports.BasicDialog = BasicDialog;
