import React from 'react';
import { SetPasswordProps } from './types';
/**
 * Component that renders a change password form with a new password and confirm password inputs.
 * It includes callbacks so you can respond to changes in the inputs.
 *
 * @param onPasswordChange Fired when the new password or confirm new password fields value changes
 * @param initialNewPasswordValue to initialize the password field
 * @param initialConfirmPasswordValue to initialize the confirm field
 * @param passwordRequirements Optional requirements to set password
 * @param newPasswordLabel Optional label for the new password field (default = 'Password')
 * @param confirmPasswordLabel Optional label for the confirm password field (default = 'Confirm')
 * @param passwordRef Optional ref to forward to the password input.
 * @param confirmRef Optional ref to forward to the confirm password input.
 * @param onSubmit Optional callback function to call when the mini form is submitted.
 *
 * @category Component
 */
export declare const SetPassword: React.FC<React.PropsWithChildren<SetPasswordProps>>;
