"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultPasswordRequirements = exports.LOWER_CASE_REGEX = exports.UPPER_CASE_REGEX = exports.NUMBERS_REGEX = exports.LENGTH_REGEX = exports.SPECIAL_CHAR_REGEX = exports.USERNAME_REGEX = exports.EMAIL_REGEX = void 0;
exports.EMAIL_REGEX = /^[A-Z0-9._%+'-]+@[A-Z0-9.-]+\.[A-Z]{2,}$/i;
exports.USERNAME_REGEX = /^[^\r\n\t\f\v ]+$/;
/////////////////////////////////////////////////////////////////////////////////////
// NOTE: The following Regular expressions are used for the
//       password validation logic. It is critical that they not
//       be "global" regexes  (no 'g' after the last slash). Global
//       regexes maintain state when their .test() function is called.
//       We don't want that.
exports.SPECIAL_CHAR_REGEX = /[!"#$%&'()*+,-./:;<=>?@[\]^`{|}~]+/;
exports.LENGTH_REGEX = /^.{8,16}$/;
exports.NUMBERS_REGEX = /[0-9]+/;
exports.UPPER_CASE_REGEX = /[A-Z]+/;
exports.LOWER_CASE_REGEX = /[a-z]+/;
/////////////////////////////////////////////////////////////////////////////////////
var defaultPasswordRequirements = function (t) { return [
    {
        regex: exports.LENGTH_REGEX,
        description: t('bluiAuth:PASSWORD_REQUIREMENTS.LENGTH'),
    },
    {
        regex: exports.NUMBERS_REGEX,
        description: t('bluiAuth:PASSWORD_REQUIREMENTS.NUMBERS'),
    },
    {
        regex: exports.UPPER_CASE_REGEX,
        description: t('bluiAuth:PASSWORD_REQUIREMENTS.UPPER'),
    },
    {
        regex: exports.LOWER_CASE_REGEX,
        description: t('bluiAuth:PASSWORD_REQUIREMENTS.LOWER'),
    },
    {
        regex: exports.SPECIAL_CHAR_REGEX,
        description: t('bluiAuth:PASSWORD_REQUIREMENTS.SPECIAL'),
    },
]; };
exports.defaultPasswordRequirements = defaultPasswordRequirements;
