"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var resources = {
    translation: {
        ACTIONS: {
            FINISH: 'Terminer',
            NEXT: 'Prochain',
            BACK: 'Retour',
            CREATE_ACCOUNT: 'Créer un compte',
            OKAY: "d'accord",
            CANCEL: 'Annuler',
            CONTINUE: 'Continuer',
            DONE: 'Terminé',
            LOG_IN: "S'identifier",
            LOG_OUT: 'Se déconnecter',
            CLICK_BUTTON: 'Cliquez sur le bouton',
            UPDATE_REDUX: 'Cliquez sur le bouton pour mettre à jour la valeur du magasin redux!',
            CHANGE_LANGUAGE: 'Changer de langue ici!',
            GO_HOME: 'Aller à la maison',
            GO_TEST: 'Aller à la page de test',
            RESEND: 'Envoyer à nouveau',
            UPDATE: 'Mise à jour',
            REMEMBER: 'Souvenez-vous de moi',
        },
        LABELS: {
            EMAIL: 'Adresse e-mail',
            USERNAME: "Nom d'utilisateur",
            PASSWORD: 'Mot de passe',
            CURRENT_PASSWORD: 'Mot de passe actuel',
            NEW_PASSWORD: 'Nouveau mot de passe',
            OPTIONAL: 'Optionnel',
            FORGOT_PASSWORD: 'Mot de passe oublié',
            NEED_ACCOUNT: 'Besoin dun compte?',
            VIEW_ALL_EVENTS: 'Afficher les {{count}} événements',
        },
        MESSAGES: {
            EMAIL_SENT: 'Email envoyé',
            WELCOME: 'Bienvenue',
            WELCOME_PROJECT: 'Bienvenue sur {{project}}',
            LOGIN_MESSAGE: 'Vous êtes connecté',
            CONGRATS: 'Toutes nos félicitations!',
            CONTACT: 'Contacter un représentant du support Eaton',
            ERROR: 'Erreur!',
            EMAIL_ENTRY_ERROR: "S'il vous plaît entrer un email valide",
            USERNAME_ENTRY_ERROR: "Merci d'entrer un nom d'utilisateur valide",
            SUCCESS: 'Succès',
            FAILURE: 'Échec',
            LOADING: 'le chargement...',
            REQUEST_ERROR: "D\u00E9sol\u00E9, un probl\u00E8me est survenu lors de l'envoi de votre demande.",
        },
        FORGOT_PASSWORD: {
            ERROR: "Impossible de réinitialiser votre mot de passe pour l'instant",
            INSTRUCTIONS: "Entrez l'adresse e-mail du compte associée au compte.\n\n" +
                'Si ce courrier électronique a un compte chez Eaton, vous recevrez une réponse sous <b>un jour ouvrable</b>.\n\n' +
                'Pour les problèmes de compte urgents, veuillez appeler le {{phone}}.',
            INSTRUCTIONS_ALT: "Entrez l'adresse e-mail du compte associ\u00E9e au compte.<br/><br/>" +
                "Si ce courrier \u00E9lectronique a un compte chez Eaton, vous recevrez une r\u00E9ponse sous <1>un jour ouvrable</1>.<br/><br/>" +
                "Pour les probl\u00E8mes de compte urgents, veuillez appeler le <4>{{phone}}</4>.",
            RESET_CODE_ERROR: "Une erreur s'est produite avec votre code de r\u00E9initialisation. ",
            LINK_SENT: 'Un lien pour réinitialiser votre mot de passe a été envoyé à <b>{{email}}</b>.',
            LINK_SENT_ALT: 'Un lien pour réinitialiser votre mot de passe a été envoyé à <1>{{email}}</1>.',
        },
        LOGIN: {
            INCORRECT_CREDENTIALS: 'Email ou mot de passe incorrect',
            INVALID_CREDENTIALS: "Votre combinaison nom d'utilisateur / mot de passe n'est pas reconnue.",
            GENERIC_ERROR: "Votre demande n'a pas pu être traitée pour le moment.\n",
        },
        FORMS: {
            FIRST_NAME: 'Prénom',
            LAST_NAME: 'Nom de Famille',
            PHONE_NUMBER: 'Numéro de Téléphone',
            PASSWORD: 'Mot de Passe',
            CONFIRM_PASSWORD: 'Confirmez',
            PASS_MATCH_ERROR: 'Les mots de passe ne correspondent pas',
            TOGGLE_PASSWORD_VISIBILITY: 'Basculer la visibilité du mot de passe',
            RESET_PASSWORD: 'Réinitialiser le Mot de Passe',
        },
        PASSWORD_REQUIREMENTS: {
            LENGTH: '8-16 Caractères',
            NUMBERS: 'Un nombre',
            UPPER: 'Une lettre majuscule',
            LOWER: 'Une lettre miniscule',
            SPECIAL: 'Un caractère spécial',
        },
        PASSWORD_RESET: {
            SUCCESS_MESSAGE: 'Votre mot de passe a été réinitialisé avec succès',
            FAILURE_MESSAGE: "Votre mot de passe n'a pas pu \u00EAtre r\u00E9initialis\u00E9. Veuillez r\u00E9essayer plus tard.",
        },
        USER_SETTINGS: {
            NAME: 'Nom',
            EMAIL: 'Email',
            PHONE_NUMBER: 'Numéro de téléphone',
            PASSWORD: 'Mot de passe',
            EMAIL_NOTIFICATION: 'Notification par e-mail',
            ENABLED: 'Activée',
            ORGANIZATION: 'Organisation',
            ORGANIZATION_NAME: "nom de l'organisation",
            ADDRESS: 'Adresse',
            CHANGE_PASSWORD: 'changer le mot de passe',
            ACCOUNT: 'Compte',
        },
        COUNTER: 'La valeur est: {{count}}',
        HEADER: {
            FORGOT_PASSWORD: 'Mot de passe oublié?',
        },
        ERROR_MESSAGES: {
            '2002': "Le lien d'enregistrement de l'utilisateur est déjà utilisé.",
            '9003': "L'opération demandée ne peut pas être effectuée, veuillez contacter votre administrateur",
        },
        CHANGE_PASSWORD: {
            PASSWORD_CHANGED: 'Mot de passe changé',
            PASSWORD: 'Changer le mot de passe',
            SUCCESS_MESSAGE: "Votre mot de passe a été mis à jour avec succès! Pour garantir la sécurité de votre compte, vous devrez vous connecter à l'application avec vos informations d'identification mises à jour.",
            EMAIL_CONFIRM_MESSAGE: 'Nous avons envoyé un e-mail de confirmation à <b>{{email}}</b>',
            PASSWORD_INFO: "Veuillez s\u00E9lectionner un mot de passe. Assurez-vous que votre mot de passe r\u00E9pond aux exigences de complexit\u00E9 n\u00E9cessaires d\u00E9crites ci-dessous.",
            OLD_PASSWORD: 'ancien mot de passe',
            ERROR_MESSAGE: 'Vos informations ne correspondent pas à nos enregistrements. Veuillez saisir à nouveau vos informations pour réessayer.',
            PROBLEM_OCCURRED: 'Un problème est survenu:',
            CONFIRM_NEW_PASSWORD: 'Confirmer le nouveau mot de passe',
            CANCEL: 'Annuler',
            UPDATE: 'Mise à jour',
        },
        SETTINGS: {
            TITLE: 'Réglages',
        },
        LEGAL: {
            TITLE: 'Légale',
            TERMSANDCONDITIONS: 'Termes et conditions',
            EULA: "Contrat de licence de l'utilisateur final",
            OPENSOURCELICENSES: 'Licences Open Source',
        },
        USER_MENU: {
            LOG_OUT: 'Se déconnecter',
            CONTACT_US: 'Nous contacter',
            ACCOUNT_SETTING: 'Paramètres du compte',
        },
        CONTACT_SUPPORT: {
            GENERAL_QUESTIONS: 'Questions générales',
            SUPPORT_MESSAGE: 'Pour les questions, commentaires ou assistance par e-mail, veuillez nous envoyer un e-mail à ',
            EMERGENCY_SUPPORT: "Assistance d'urgence",
            TECHNICAL_ASSISTANCE: 'Pour une assistance technique, veuillez appeler ',
        },
    },
};
exports.default = resources;
