"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.i18nRegistrationInstance = void 0;
var i18next_1 = __importDefault(require("i18next"));
var dictionaries_1 = require("./dictionaries");
exports.i18nRegistrationInstance = i18next_1.default.createInstance({
    lng: 'en',
    fallbackLng: 'en',
    ns: ['bluiRegistration'],
    defaultNS: 'bluiRegistration',
    load: 'languageOnly',
    detection: {
        order: ['querystring', 'localStorage', 'navigator'],
        caches: ['localStorage'],
        lookupLocalStorage: 'blui-registration-i18nextLng',
    },
    react: { useSuspense: false },
    interpolation: { escapeValue: false },
    resources: {
        en: {
            bluiRegistration: __assign({}, dictionaries_1.dictionaries.english.translation),
        },
        fr: {
            bluiRegistration: __assign({}, dictionaries_1.dictionaries.french.translation),
        },
        es: {
            bluiRegistration: __assign({}, dictionaries_1.dictionaries.spanish.translation),
        },
        zh: {
            bluiRegistration: __assign({}, dictionaries_1.dictionaries.chinese.translation),
        },
        pt: {
            bluiRegistration: __assign({}, dictionaries_1.dictionaries.portuguese.translation),
        },
    },
}, 
// We must provide a function as second parameter, otherwise i18next errors
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function (err, _t) {
    if (err) {
        throw new Error("i18nRegistrationInstance error: ".concat(err));
    }
});
exports.default = { i18nRegistrationInstance: exports.i18nRegistrationInstance };
