"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegistrationWorkflowContextProvider = exports.useRegistrationWorkflowContext = void 0;
var react_1 = require("react");
var context_1 = require("./context");
var provider_1 = require("./provider");
Object.defineProperty(exports, "RegistrationWorkflowContextProvider", { enumerable: true, get: function () { return provider_1.RegistrationWorkflowContextProvider; } });
/**
 * Hook to get the data of each registration workflow screen
 *
 * @category Hooks
 * @private
 * @internal
 */
var useRegistrationWorkflowContext = function () {
    var context = (0, react_1.useContext)(context_1.RegistrationWorkflowContext);
    if (context === null) {
        throw new Error('useRegistrationWorkflowContext must be used within an RegistrationContextProvider');
    }
    return context;
};
exports.useRegistrationWorkflowContext = useRegistrationWorkflowContext;
