"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timeSince = exports.formatTimeShort = exports.formatTime = exports.formatDateShort = exports.formatDate = exports.formatMonthLong = exports.formatDateTime = void 0;
var date_fns_1 = require("date-fns");
var _1 = require(".");
var utils_1 = require("../utils");
var formatDateTime = function (dateTime, locales) {
    return dateTime ? new Date(dateTime).toLocaleString(locales) : '';
};
exports.formatDateTime = formatDateTime;
var formatMonthLong = function (dateTime, locales) {
    return dateTime ? new Date(dateTime).toLocaleString(locales, { month: 'long' }) : '';
};
exports.formatMonthLong = formatMonthLong;
var formatDate = function (dateTime, locales) {
    return dateTime ? new Date(dateTime).toLocaleDateString(locales) : '';
};
exports.formatDate = formatDate;
var formatDateShort = function (dateTime, locales) {
    return dateTime
        ? new Date(dateTime).toLocaleDateString(locales, {
            month: '2-digit',
            day: '2-digit',
            year: '2-digit',
        })
        : '';
};
exports.formatDateShort = formatDateShort;
var formatTime = function (dateTime, locales) {
    return dateTime ? new Date(dateTime).toLocaleTimeString(locales) : '';
};
exports.formatTime = formatTime;
var formatTimeShort = function (dateTime, locales) {
    return dateTime
        ? new Date(dateTime).toLocaleTimeString(locales, {
            hour: '2-digit',
            minute: '2-digit',
        })
        : '';
};
exports.formatTimeShort = formatTimeShort;
var timeSince = function (dateTime) {
    return dateTime ? (0, date_fns_1.formatDistance)(new Date(dateTime), _1.Clock.now(), { locale: utils_1.dateLocale, addSuffix: true }) : '';
};
exports.timeSince = timeSince;
