"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExistingAccountRegisterSuccessSubscreen = void 0;
var react_1 = __importDefault(require("react"));
var components_1 = require("../../components");
var Person_1 = __importDefault(require("@mui/icons-material/Person"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var CardHeader_1 = __importDefault(require("@mui/material/CardHeader"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var styles_1 = require("../../styles");
var styles_2 = require("@mui/material/styles");
var CardContent_1 = __importDefault(require("@mui/material/CardContent"));
var CardActions_1 = __importDefault(require("@mui/material/CardActions"));
var Button_1 = __importDefault(require("@mui/material/Button"));
var RoutingContext_1 = require("../../contexts/RoutingContext");
var react_router_dom_1 = require("react-router-dom");
var auth_shared_1 = require("../../auth-shared");
var ExistingAccountRegisterSuccessSubscreen = function (props) {
    var t = (0, auth_shared_1.useLanguageLocale)().t;
    var theme = (0, styles_2.useTheme)();
    var routes = (0, RoutingContext_1.useRoutes)().routes;
    var navigate = (0, react_router_dom_1.useNavigate)();
    var _a = props.cardTitle, cardTitle = _a === void 0 ? t('blui:REGISTRATION.STEPS.COMPLETE') : _a, _b = props.messageIcon, messageIcon = _b === void 0 ? react_1.default.createElement(Person_1.default, { color: 'primary', sx: { fontSize: 100, mb: 2 } }) : _b, _c = props.messageTitle, messageTitle = _c === void 0 ? t('blui:MESSAGES.WELCOME') : _c, _d = props.messageBody, messageBody = _d === void 0 ? t('blui:REGISTRATION.SUCCESS_EXISTING') : _d, _e = props.cardActions, cardActions = _e === void 0 ? (react_1.default.createElement(Button_1.default, { variant: 'contained', color: 'primary', sx: (0, styles_1.DialogButtonStyles)(true), disableElevation: true, onClick: function () { return navigate(routes.LOGIN); } }, t('blui:ACTIONS.CONTINUE'))) : _e;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(CardHeader_1.default, { title: react_1.default.createElement(Typography_1.default, { variant: 'h6' }, cardTitle), sx: (0, styles_1.DialogTitleStyles)(theme) }),
        react_1.default.createElement(CardContent_1.default, { sx: (0, styles_1.DialogContentStyles)(theme) },
            react_1.default.createElement(components_1.FinishState, { icon: messageIcon, title: messageTitle, description: messageBody })),
        react_1.default.createElement(Divider_1.default, null),
        react_1.default.createElement(CardActions_1.default, { sx: (0, styles_1.DialogActionsStyles)(theme) }, cardActions)));
};
exports.ExistingAccountRegisterSuccessSubscreen = ExistingAccountRegisterSuccessSubscreen;
