"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegistrationSuccessSubscreen = void 0;
var react_1 = __importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var components_1 = require("../../components");
var CheckCircle_1 = __importDefault(require("@mui/icons-material/CheckCircle"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var auth_shared_1 = require("../../auth-shared");
/**
 * Component that renders a screen displaying success for creating an account for
 * a new user.
 *
 * @param firstName first name for the new user
 * @param lastName last name for the new user
 * @param email email address for the new user
 * @param organization organization that the user has joined
 *
 * @category Component
 */
var RegistrationSuccessSubscreen = function (props) {
    var t = (0, auth_shared_1.useLanguageLocale)().t;
    var firstName = props.firstName, lastName = props.lastName, email = props.email, organization = props.organization, _a = props.messageIcon, messageIcon = _a === void 0 ? react_1.default.createElement(CheckCircle_1.default, { color: 'primary', sx: { fontSize: 100, mb: 2 } }) : _a, _b = props.messageTitle, messageTitle = _b === void 0 ? "".concat(t('blui:MESSAGES.WELCOME'), ", ").concat(firstName, " ").concat(lastName, "!") : _b, _c = props.messageBody, messageBody = _c === void 0 ? 'blui:REGISTRATION.SUCCESS_MESSAGE_ALT' : _c;
    return (react_1.default.createElement(components_1.FinishState, { icon: messageIcon, title: messageTitle, description: react_1.default.createElement(Typography_1.default, { variant: "subtitle2" },
            react_1.default.createElement(react_i18next_1.Trans, { i18nKey: messageBody, values: { email: email, organization: organization } },
                "Your account has successfully been created with the email ",
                react_1.default.createElement("b", null, email),
                " belonging to the",
                react_1.default.createElement("b", null, " ".concat(organization)),
                " org.")) }));
};
exports.RegistrationSuccessSubscreen = RegistrationSuccessSubscreen;
