import React from 'react';
import { VerifyCodeScreenProps } from './types';
/**
 * Component that renders a screen that prompts a user to enter the confirmation code
 * that was sent to the email address that they used to register.
 *
 * @param codeValidator used to test the input for valid formatting
 * @param onResend function to call when the user clicks the 'resend code' button
 * @param resendInstructions text to display ahead of the resend link/button
 * @param resendLabel label for the resend link/button
 * @param initialValue code used to pre-populate the field
 *
 * @category Component
 */
export declare const VerifyCodeScreenBase: React.FC<React.PropsWithChildren<VerifyCodeScreenProps>>;
