"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifyCodeScreenBase = void 0;
var react_1 = __importStar(require("react"));
var WorkflowCard_1 = require("../../components/WorkflowCard");
var WorkflowCardActions_1 = require("../../components/WorkflowCard/WorkflowCardActions");
var WorkflowCardBody_1 = require("../../components/WorkflowCard/WorkflowCardBody");
var WorkflowCardHeader_1 = require("../../components/WorkflowCard/WorkflowCardHeader");
var WorkflowCardInstructions_1 = require("../../components/WorkflowCard/WorkflowCardInstructions");
var TextField_1 = __importDefault(require("@mui/material/TextField"));
var Box_1 = __importDefault(require("@mui/material/Box"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
/**
 * Component that renders a screen that prompts a user to enter the confirmation code
 * that was sent to the email address that they used to register.
 *
 * @param codeValidator used to test the input for valid formatting
 * @param onResend function to call when the user clicks the 'resend code' button
 * @param resendInstructions text to display ahead of the resend link/button
 * @param resendLabel label for the resend link/button
 * @param initialValue code used to pre-populate the field
 *
 * @category Component
 */
var VerifyCodeScreenBase = function (props) {
    var _a;
    var _b = props.codeValidator, codeValidator = _b === void 0 ? function (code) { return ((code === null || code === void 0 ? void 0 : code.length) > 0 ? true : 'You must provide a valid code'); } : _b, onResend = props.onResend, resendInstructions = props.resendInstructions, resendLabel = props.resendLabel, verifyCodeInputLabel = props.verifyCodeInputLabel, initialValue = props.initialValue;
    var cardBaseProps = props.WorkflowCardBaseProps || {};
    var headerProps = props.WorkflowCardHeaderProps || {};
    var instructionsProps = props.WorkflowCardInstructionProps || {};
    var actionsProps = props.WorkflowCardActionsProps || {};
    var _c = react_1.default.useState(initialValue !== null && initialValue !== void 0 ? initialValue : ''), verifyCode = _c[0], setVerifyCode = _c[1];
    var _d = react_1.default.useState(false), shouldValidateCode = _d[0], setShouldValidateCode = _d[1];
    var _e = react_1.default.useState((_a = codeValidator(initialValue)) !== null && _a !== void 0 ? _a : false), isCodeValid = _e[0], setIsCodeValid = _e[1];
    var _f = react_1.default.useState(''), codeError = _f[0], setCodeError = _f[1];
    var handleVerifyCodeInputChange = (0, react_1.useCallback)(function (code) {
        setVerifyCode(code);
        var validatorResponse = codeValidator(code);
        setIsCodeValid(typeof validatorResponse === 'boolean' ? validatorResponse : false);
        setCodeError(typeof validatorResponse === 'string' ? validatorResponse : '');
    }, [codeValidator]);
    return (react_1.default.createElement(WorkflowCard_1.WorkflowCard, __assign({}, cardBaseProps),
        react_1.default.createElement(WorkflowCardHeader_1.WorkflowCardHeader, __assign({}, headerProps)),
        react_1.default.createElement(WorkflowCardBody_1.WorkflowCardBody, null,
            react_1.default.createElement(WorkflowCardInstructions_1.WorkflowCardInstructions, __assign({}, instructionsProps, { divider: true })),
            react_1.default.createElement(TextField_1.default, { label: verifyCodeInputLabel, fullWidth: true, value: verifyCode, onChange: function (evt) {
                    handleVerifyCodeInputChange(evt.target.value);
                }, onKeyPress: function (e) {
                    var _a;
                    if (e.key === 'Enter' && verifyCode.length > 0 && isCodeValid && actionsProps.canGoNext)
                        (_a = actionsProps === null || actionsProps === void 0 ? void 0 : actionsProps.onNext) === null || _a === void 0 ? void 0 : _a.call(actionsProps);
                }, variant: "filled", error: shouldValidateCode && !isCodeValid, helperText: shouldValidateCode && codeError, onBlur: function () { return setShouldValidateCode(true); } }),
            react_1.default.createElement(Box_1.default, { sx: { mt: 2 } },
                react_1.default.createElement(Typography_1.default, null,
                    resendInstructions,
                    react_1.default.createElement(Typography_1.default, { sx: { fontSize: 'inherit', textTransform: 'initial', '&:hover': { cursor: 'pointer' } }, onClick: function () { return onResend(); }, color: "primary", variant: 'button' },
                        ' ',
                        react_1.default.createElement("u", null, resendLabel))))),
        react_1.default.createElement(WorkflowCardActions_1.WorkflowCardActions, __assign({}, actionsProps, { divider: true, canGoNext: verifyCode.length > 0 && isCodeValid && actionsProps.canGoNext }))));
};
exports.VerifyCodeScreenBase = VerifyCodeScreenBase;
