import React from 'react';
export type RouteConfig = {
    LOGIN?: string;
    FORGOT_PASSWORD?: string;
    RESET_PASSWORD?: string;
    REGISTER_INVITE?: string;
    REGISTER_SELF?: string;
    SUPPORT?: string;
};
export type NavigationContainerComponentProps = {
    routeConfig?: RouteConfig;
    extraRoutes?: JSX.Element[];
};
/**
 * Container component which holds the authentication and navigation state
 * for the web application.
 * This should be rendered at the root wrapping the whole app.
 * The routes used for the login and registration screens can be customized
 * if desired
 *
 * @param routeConfig Specifies the mapping of screens to URLs
 * @param extraRoutes Specifies additional routes that should be accessible without logging in
 * @param children Main application content.
 *
 * @category Component
 */
export declare const AuthNavigationContainer: React.FC<React.PropsWithChildren<React.PropsWithChildren<NavigationContainerComponentProps>>>;
