"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthNavigationContainer = void 0;
var react_1 = __importStar(require("react"));
var react_router_dom_1 = require("react-router-dom");
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var Splash_1 = require("../screens/Splash");
var components_1 = require("../components");
var RoutingContext_1 = require("../contexts/RoutingContext");
var GuestGuard_1 = require("../components/GuestGuard");
var ForgotPassword_1 = require("../screens/ForgotPassword");
var ResetPassword_1 = require("../screens/ResetPassword");
var InviteRegistrationPager_1 = require("../screens/InviteRegistrationPager");
var SelfRegistrationPager_1 = require("../screens/SelfRegistrationPager");
var ContactSupport_1 = require("../screens/ContactSupport");
var Login_1 = require("../screens/Login");
var defaultRoutes = {
    LOGIN: '/login',
    FORGOT_PASSWORD: '/forgot-password',
    RESET_PASSWORD: '/reset-password',
    REGISTER_INVITE: '/register/invite',
    REGISTER_SELF: '/register/create-account',
    SUPPORT: '/support',
};
/* Ensures that all routes supplied by the user start with a forward slash */
var prefixRoutes = function (routes) {
    var newRoutes = defaultRoutes;
    var newRoutesArray = [];
    Object.keys(routes).forEach(function (route) {
        var customPath = routes[route];
        var routeWithPrefix = "".concat(customPath.startsWith('/') ? '' : '/').concat(customPath);
        newRoutes[route] = routeWithPrefix;
    });
    Object.keys(newRoutes).forEach(function (route) {
        newRoutesArray.push(newRoutes[route]);
    });
    return { routes: newRoutes, routesArray: newRoutesArray };
};
/**
 * Container component which holds the authentication and navigation state
 * for the web application.
 * This should be rendered at the root wrapping the whole app.
 * The routes used for the login and registration screens can be customized
 * if desired
 *
 * @param routeConfig Specifies the mapping of screens to URLs
 * @param extraRoutes Specifies additional routes that should be accessible without logging in
 * @param children Main application content.
 *
 * @category Component
 */
var AuthNavigationContainer = function (props) {
    var securityState = (0, react_auth_shared_1.useSecurityState)();
    var injectedContext = (0, react_auth_shared_1.useInjectedUIContext)();
    var routeConfig = props.routeConfig, extraRoutes = props.extraRoutes, children = props.children, otherProps = __rest(props, ["routeConfig", "extraRoutes", "children"]);
    var _a = injectedContext.enableResetPassword, enableResetPassword = _a === void 0 ? true : _a, _b = injectedContext.showContactSupport, showContactSupport = _b === void 0 ? true : _b, _c = injectedContext.enableInviteRegistration, enableInviteRegistration = _c === void 0 ? true : _c, _d = injectedContext.showSelfRegistration, showSelfRegistration = _d === void 0 ? true : _d;
    (0, react_1.useEffect)(function () {
        var bootstrapAsync = function () { return __awaiter(void 0, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, injectedContext.authActions().initiateSecurity()];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        }); };
        void bootstrapAsync();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    var routes = prefixRoutes(__assign(__assign({}, defaultRoutes), routeConfig)).routes;
    var extraRoutesPathnames = extraRoutes ? extraRoutes.map(function (route) { return route.props.path; }) : [];
    // Show the splash loading screen until we have loaded the initial authentication state
    if (securityState.isLoading && !extraRoutesPathnames.includes(window.location.pathname)) {
        return react_1.default.createElement(Splash_1.Splash, { mainImage: injectedContext.projectImage });
    }
    var RedirectToLogin = react_1.default.createElement(react_router_dom_1.Navigate, { to: routes.LOGIN, replace: true });
    return (react_1.default.createElement(react_auth_shared_1.AuthUIInternalStore, __assign({}, otherProps),
        react_1.default.createElement(RoutingContext_1.RoutingContext.Provider, { value: { routes: routes } },
            react_1.default.createElement(react_router_dom_1.BrowserRouter, null,
                react_1.default.createElement(react_router_dom_1.Routes, null,
                    react_1.default.createElement(react_1.default.Fragment, null,
                        react_1.default.createElement(react_router_dom_1.Route, { path: routes.LOGIN, element: react_1.default.createElement(GuestGuard_1.GuestGuard, null,
                                react_1.default.createElement(Login_1.Login, null)) }),
                        react_1.default.createElement(react_router_dom_1.Route, { path: routes.FORGOT_PASSWORD, element: react_1.default.createElement(GuestGuard_1.GuestGuard, null, enableResetPassword ? react_1.default.createElement(ForgotPassword_1.ForgotPassword, null) : RedirectToLogin) }),
                        react_1.default.createElement(react_router_dom_1.Route, { path: routes.RESET_PASSWORD, element: react_1.default.createElement(GuestGuard_1.GuestGuard, null, enableResetPassword ? react_1.default.createElement(ResetPassword_1.ResetPassword, null) : RedirectToLogin) }),
                        react_1.default.createElement(react_router_dom_1.Route, { path: routes.REGISTER_INVITE, element: react_1.default.createElement(GuestGuard_1.GuestGuard, null, enableInviteRegistration ? react_1.default.createElement(InviteRegistrationPager_1.InviteRegistrationPager, null) : RedirectToLogin) }),
                        react_1.default.createElement(react_router_dom_1.Route, { path: routes.REGISTER_SELF, element: react_1.default.createElement(GuestGuard_1.GuestGuard, null, showSelfRegistration ? react_1.default.createElement(SelfRegistrationPager_1.SelfRegistrationPager, null) : RedirectToLogin) }),
                        react_1.default.createElement(react_router_dom_1.Route, { path: routes.SUPPORT, element: react_1.default.createElement(GuestGuard_1.GuestGuard, null, showContactSupport ? react_1.default.createElement(ContactSupport_1.ContactSupport, null) : RedirectToLogin) })),
                    extraRoutes,
                    react_1.default.createElement(react_router_dom_1.Route, { path: '*', element: react_1.default.createElement(components_1.AuthGuard, null) }, children)),
                securityState.isAuthenticatedUser && react_1.default.createElement(components_1.ChangePasswordModal, null)))));
};
exports.AuthNavigationContainer = AuthNavigationContainer;
