"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactSupport = exports.ContactSupportContent = void 0;
var react_1 = __importDefault(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_router_dom_1 = require("react-router-dom");
var Button_1 = __importDefault(require("@mui/material/Button"));
var CardActions_1 = __importDefault(require("@mui/material/CardActions"));
var CardContent_1 = __importDefault(require("@mui/material/CardContent"));
var CardHeader_1 = __importDefault(require("@mui/material/CardHeader"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var styles_1 = require("@mui/material/styles");
var components_1 = require("../components");
var ChatBubbleOutline_1 = __importDefault(require("@mui/icons-material/ChatBubbleOutline"));
var styles_2 = require("../styles");
var Box_1 = __importDefault(require("@mui/material/Box"));
var LinkStyles = function (theme) { return ({
    fontWeight: 600,
    color: theme.palette.primary.main,
    textTransform: 'none',
    textDecoration: 'none',
    '&:visited': {
        color: theme.palette.primary.main,
    },
}); };
/**
 * Content for the Contact Us screen. This is exported separately
 * in the event that a user wishes to build another area in their
 * main application where users can view this information.
 *
 * @category Component
 */
var ContactSupportContent = function () {
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var theme = (0, styles_1.useTheme)();
    var _a = (0, react_auth_shared_1.useInjectedUIContext)(), contactPhone = _a.contactPhone, contactEmail = _a.contactEmail;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Box_1.default, { sx: { fontSize: 70, mb: 4, textAlign: 'center' } },
            react_1.default.createElement(ChatBubbleOutline_1.default, { fontSize: 'inherit', color: 'primary' })),
        react_1.default.createElement(Typography_1.default, { variant: 'body1', sx: { mb: 1 } }, t('blui:CONTACT_SUPPORT.GENERAL_QUESTIONS')),
        react_1.default.createElement(Typography_1.default, null,
            t('blui:CONTACT_SUPPORT.SUPPORT_MESSAGE'),
            react_1.default.createElement(Box_1.default, { component: "a", href: "mailto:".concat(contactEmail), sx: LinkStyles(theme) }, contactEmail),
            "."),
        react_1.default.createElement(Typography_1.default, { variant: 'body1', sx: { mt: 4, mb: 1 } }, t('blui:CONTACT_SUPPORT.EMERGENCY_SUPPORT')),
        react_1.default.createElement(Typography_1.default, null,
            t('blui:CONTACT_SUPPORT.TECHNICAL_ASSISTANCE'),
            react_1.default.createElement(Box_1.default, { component: "a", href: "tel:".concat(contactPhone), sx: LinkStyles(theme) }, contactPhone),
            ".")));
};
exports.ContactSupportContent = ContactSupportContent;
/**
 * Container that renders a screen with contact information for
 * support with the application. Contact information is pulled
 * from the context passed into the workflow.
 *
 * @category Component
 */
var ContactSupport = function () {
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var navigate = (0, react_router_dom_1.useNavigate)();
    var theme = (0, styles_1.useTheme)();
    return (react_1.default.createElement(components_1.BrandedCardContainer, null,
        react_1.default.createElement(CardHeader_1.default, { title: react_1.default.createElement(Typography_1.default, { variant: 'h6' }, t('blui:USER_MENU.CONTACT_US')), sx: (0, styles_2.DialogTitleStyles)(theme) }),
        react_1.default.createElement(CardContent_1.default, { sx: (0, styles_2.DialogContentStyles)(theme) },
            react_1.default.createElement(exports.ContactSupportContent, null)),
        react_1.default.createElement(Divider_1.default, null),
        react_1.default.createElement(CardActions_1.default, { sx: (0, styles_2.DialogActionsStyles)(theme) },
            react_1.default.createElement(Button_1.default, { variant: "contained", color: "primary", disableElevation: true, sx: (0, styles_2.DialogButtonStyles)(true), onClick: function () { return navigate(-1); } }, t('blui:ACTIONS.OKAY')))));
};
exports.ContactSupport = ContactSupport;
