"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForgotPassword = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_i18next_1 = require("react-i18next");
var react_router_dom_1 = require("react-router-dom");
var components_1 = require("../components");
var Button_1 = __importDefault(require("@mui/material/Button"));
var CardActions_1 = __importDefault(require("@mui/material/CardActions"));
var CardContent_1 = __importDefault(require("@mui/material/CardContent"));
var CardHeader_1 = __importDefault(require("@mui/material/CardHeader"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var Grid_1 = __importDefault(require("@mui/material/Grid"));
var TextField_1 = __importDefault(require("@mui/material/TextField"));
var styles_1 = require("@mui/material/styles");
var CheckCircle_1 = __importDefault(require("@mui/icons-material/CheckCircle"));
var styles_2 = require("../styles");
var Box_1 = __importDefault(require("@mui/material/Box"));
var LinkStyles = function (theme) { return ({
    fontWeight: 600,
    color: theme.palette.primary.main,
    textTransform: 'none',
    textDecoration: 'none',
    '&:visited': {
        color: theme.palette.primary.main,
    },
}); };
/**
 * Renders the screen for Forgot Password where a user enters their
 * email to receive a reset link.
 *
 * @category Component
 */
var ForgotPassword = function () {
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var navigate = (0, react_router_dom_1.useNavigate)();
    var theme = (0, styles_1.useTheme)();
    var accountUIState = (0, react_auth_shared_1.useAccountUIState)();
    var accountUIActions = (0, react_auth_shared_1.useAccountUIActions)();
    var contactPhone = (0, react_auth_shared_1.useInjectedUIContext)().contactPhone;
    // Local state
    var _a = react_1.default.useState(''), emailInput = _a[0], setEmailInput = _a[1];
    var _b = react_1.default.useState(false), hasAcknowledgedError = _b[0], setHasAcknowledgedError = _b[1];
    // Network state (forgotPassword)
    var forgotPasswordTransit = accountUIState.forgotPassword;
    var isInTransit = forgotPasswordTransit.transitInProgress;
    var hasTransitError = forgotPasswordTransit.transitErrorMessage !== null;
    var transitErrorMessage = forgotPasswordTransit.transitErrorMessage;
    var finished = accountUIState.forgotPassword.transitSuccess;
    var resetPassword = (0, react_1.useCallback)(function (email) {
        setHasAcknowledgedError(false);
        void accountUIActions.actions.forgotPassword(email);
    }, [setHasAcknowledgedError, accountUIActions]);
    var canContinue = (0, react_1.useCallback)(function () { return react_auth_shared_1.EMAIL_REGEX.test(emailInput) && !accountUIState.forgotPassword.transitInProgress; }, [emailInput, accountUIState]);
    var onContinue = (0, react_1.useCallback)(function () {
        if (accountUIState.forgotPassword.transitSuccess) {
            navigate(-1);
        }
        else {
            resetPassword(emailInput);
        }
    }, [accountUIState, resetPassword, navigate, emailInput]);
    // Reset state on dismissal
    (0, react_1.useEffect)(function () { return function () {
        accountUIActions.dispatch(react_auth_shared_1.AccountActions.resetPasswordReset());
    }; }, // eslint-disable-next-line react-hooks/exhaustive-deps
    []);
    // Dynamic Elements
    var errorDialog = (react_1.default.createElement(components_1.SimpleDialog, { title: t('blui:MESSAGES.ERROR'), body: t(transitErrorMessage !== null && transitErrorMessage !== void 0 ? transitErrorMessage : ''), open: hasTransitError && !hasAcknowledgedError, onClose: function () {
            setHasAcknowledgedError(true);
        } }));
    var body;
    if (accountUIState.forgotPassword.transitSuccess) {
        body = (react_1.default.createElement(components_1.FinishState, { icon: react_1.default.createElement(CheckCircle_1.default, { color: 'primary', sx: { fontSize: 100, mb: 2 } }), title: t('blui:MESSAGES.EMAIL_SENT'), description: react_1.default.createElement(react_i18next_1.Trans, { i18nKey: 'blui:FORGOT_PASSWORD.LINK_SENT_ALT', values: { email: emailInput } },
                "Link has been sent to ",
                react_1.default.createElement("b", null, emailInput),
                ".") }));
    }
    else {
        body = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Typography_1.default, null,
                react_1.default.createElement(react_i18next_1.Trans, { i18nKey: 'blui:FORGOT_PASSWORD.INSTRUCTIONS_ALT', values: { phone: contactPhone } },
                    "Please enter your email, we will respond in ",
                    react_1.default.createElement("b", null, "one business day"),
                    ". For urgent issues please call",
                    ' ',
                    react_1.default.createElement(Box_1.default, { component: "a", href: "tel:".concat(contactPhone), sx: LinkStyles(theme) }, contactPhone),
                    ".")),
            react_1.default.createElement(Divider_1.default, { sx: (0, styles_2.FullDividerStyles)(theme) }),
            react_1.default.createElement(TextField_1.default, { id: "email", label: t('blui:LABELS.EMAIL'), fullWidth: true, value: emailInput, onChange: function (evt) { return setEmailInput(evt.target.value); }, onKeyPress: function (e) {
                    if (e.key === 'Enter' && canContinue())
                        onContinue();
                }, variant: "filled", error: hasTransitError, helperText: hasTransitError ? t('blui:FORGOT_PASSWORD.ERROR') : '' })));
    }
    return (react_1.default.createElement(components_1.BrandedCardContainer, { loading: isInTransit },
        errorDialog,
        react_1.default.createElement(CardHeader_1.default, { title: react_1.default.createElement(Typography_1.default, { variant: 'h6', sx: { fontWeight: 600 } }, t('blui:HEADER.FORGOT_PASSWORD')), sx: (0, styles_2.DialogTitleStyles)(theme) }),
        react_1.default.createElement(CardContent_1.default, { sx: (0, styles_2.DialogContentStyles)(theme) }, body),
        react_1.default.createElement(Divider_1.default, null),
        react_1.default.createElement(CardActions_1.default, { sx: (0, styles_2.DialogActionsStyles)(theme) },
            react_1.default.createElement(Grid_1.default, { container: true, direction: "row", alignItems: "center", justifyContent: "space-between", sx: { width: '100%' } },
                !finished && (react_1.default.createElement(Button_1.default, { variant: "outlined", color: "primary", onClick: function () { return navigate(-1); }, sx: (0, styles_2.DialogButtonStyles)() }, t('blui:ACTIONS.BACK'))),
                react_1.default.createElement(Button_1.default, { variant: "contained", disableElevation: true, disabled: !canContinue(), color: "primary", onClick: onContinue, sx: (0, styles_2.DialogButtonStyles)(finished) }, accountUIState.forgotPassword.transitSuccess ? t('blui:ACTIONS.DONE') : t('blui:ACTIONS.OKAY'))))));
};
exports.ForgotPassword = ForgotPassword;
