"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Login = void 0;
var react_1 = __importStar(require("react"));
var RoutingContext_1 = require("../contexts/RoutingContext");
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_router_dom_1 = require("react-router-dom");
var Button_1 = __importDefault(require("@mui/material/Button"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var TextField_1 = __importDefault(require("@mui/material/TextField"));
var Grid_1 = __importDefault(require("@mui/material/Grid"));
var FormControlLabel_1 = __importDefault(require("@mui/material/FormControlLabel"));
var Checkbox_1 = __importDefault(require("@mui/material/Checkbox"));
var styles_1 = require("@mui/material/styles");
var components_1 = require("../components");
var Close_1 = __importDefault(require("@mui/icons-material/Close"));
var eaton_stacked_logo_png_1 = __importDefault(require("../assets/images/eaton_stacked_logo.png"));
var cybersecurity_certified_png_1 = __importDefault(require("../assets/images/cybersecurity_certified.png"));
var Colors = __importStar(require("@brightlayer-ui/colors"));
var Box_1 = __importDefault(require("@mui/material/Box"));
var HELPER_TEXT_HEIGHT = 22;
var LinkStyles = function (theme) { return ({
    fontWeight: 600,
    textTransform: 'none',
    textDecoration: 'none',
    color: theme.palette.primary.main,
    '&:visited': {
        color: 'inherit',
    },
}); };
var LinksWrapperStyles = {
    textAlign: 'center',
    pb: 4,
};
/**
 * Login screen with loading and error states, as well as "remember me" functionality to store a user's email between logins.
 * Requires being wrapped in an [[AuthNavigationContainer]] for access to global state and actions for authentication and registration.
 * Has a debug mode which shows buttons that allow direct access to the deep link flows (invite registration, set password from forgot password, etc.).
 *
 *
 * @category Component
 */
var Login = function () {
    var _a, _b, _c, _d;
    var _e, _f, _g;
    var securityState = (0, react_auth_shared_1.useSecurityState)();
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var authUIActions = (0, react_auth_shared_1.useAccountUIActions)();
    var authUIState = (0, react_auth_shared_1.useAccountUIState)();
    var routes = (0, RoutingContext_1.useRoutes)().routes;
    var theme = (0, styles_1.useTheme)();
    var _h = (0, react_auth_shared_1.useInjectedUIContext)(), _j = _h.loginErrorDisplayConfig, loginErrorDisplayConfig = _j === void 0 ? { mode: 'dialog' } : _j, otherUIContext = __rest(_h, ["loginErrorDisplayConfig"]);
    var _k = otherUIContext.showRememberMe, showRememberMe = _k === void 0 ? true : _k, _l = otherUIContext.allowDebugMode, allowDebugMode = _l === void 0 ? false : _l, _m = otherUIContext.showSelfRegistration, showSelfRegistration = _m === void 0 ? true : _m, _o = otherUIContext.enableResetPassword, enableResetPassword = _o === void 0 ? true : _o, _p = otherUIContext.showContactSupport, showContactSupport = _p === void 0 ? true : _p, _q = otherUIContext.showCybersecurityBadge, showCybersecurityBadge = _q === void 0 ? true : _q, projectImage = otherUIContext.projectImage, loginFooter = otherUIContext.loginFooter, _r = otherUIContext.loginHeader, loginHeader = _r === void 0 ? (react_1.default.createElement(Box_1.default, { sx: { mb: 6 } },
        react_1.default.createElement(Box_1.default, { component: "img", sx: { maxWidth: '100%', maxHeight: 80 }, src: projectImage || eaton_stacked_logo_png_1.default, alt: "logo" }))) : _r, _s = otherUIContext.loginType, loginType = _s === void 0 ? 'email' : _s, loginActions = otherUIContext.loginActions;
    var passwordField = (0, react_1.useRef)(null);
    // Local State
    var _t = react_1.default.useState(showRememberMe ? (_e = securityState.rememberMeDetails.rememberMe) !== null && _e !== void 0 ? _e : false : false), rememberPassword = _t[0], setRememberPassword = _t[1];
    var _u = react_1.default.useState(showRememberMe ? (_f = securityState.rememberMeDetails.email) !== null && _f !== void 0 ? _f : '' : ''), emailInput = _u[0], setEmailInput = _u[1];
    var _v = react_1.default.useState(''), passwordInput = _v[0], setPasswordInput = _v[1];
    var _w = react_1.default.useState(false), hasAcknowledgedError = _w[0], setHasAcknowledgedError = _w[1];
    var _x = react_1.default.useState(false), debugMode = _x[0], setDebugMode = _x[1];
    var _y = react_1.default.useState(false), showErrorMessageBox = _y[0], setShowErrorMessageBox = _y[1];
    var loginTapped = (0, react_1.useCallback)(function () {
        setHasAcknowledgedError(false);
        void authUIActions.actions.logIn(emailInput, passwordInput, showRememberMe ? rememberPassword : false);
    }, [setHasAcknowledgedError, authUIActions, emailInput, passwordInput, rememberPassword, showRememberMe]);
    var transitState = authUIState.login;
    var showLinks = showSelfRegistration || enableResetPassword || showContactSupport;
    var hasTransitError = authUIState.login.transitErrorMessage !== null;
    var transitErrorMessage = (_g = authUIState.login.transitErrorMessage) !== null && _g !== void 0 ? _g : t('blui:MESSAGES.REQUEST_ERROR');
    var isInvalidCredentials = transitErrorMessage.replace('blui:', '') === 'LOGIN.INCORRECT_CREDENTIALS' ||
        transitErrorMessage.replace('blui:', '') === 'LOGIN.INVALID_CREDENTIALS';
    var _z = react_1.default.useState(false), isValidEmail = _z[0], setIsValidEmail = _z[1];
    var _0 = react_1.default.useState(false), shouldValidateEmail = _0[0], setShouldValidateEmail = _0[1];
    (0, react_1.useEffect)(function () {
        authUIActions.dispatch(react_auth_shared_1.AccountActions.resetLogin());
    }, [] // eslint-disable-line react-hooks/exhaustive-deps
    );
    (0, react_1.useEffect)(function () {
        if (hasTransitError) {
            setShowErrorMessageBox(true);
        }
    }, [hasTransitError]);
    var hasEmailError = (0, react_1.useCallback)(function () { return loginType === 'email' && shouldValidateEmail && emailInput.length !== 0 && !isValidEmail; }, [shouldValidateEmail, emailInput, isValidEmail, loginType]);
    // Construct the dynamic elements
    var errorDialog = (react_1.default.createElement(components_1.SimpleDialog, { title: t('blui:MESSAGES.ERROR'), body: t(transitErrorMessage), open: hasTransitError && !hasAcknowledgedError, onClose: function () {
            setHasAcknowledgedError(true);
        } }));
    var errorMessageBox = !isInvalidCredentials && hasTransitError && transitErrorMessage && showErrorMessageBox ? (react_1.default.createElement(Box_1.default, { sx: {
            width: '100%',
            backgroundColor: loginErrorDisplayConfig.backgroundColor || theme.palette.error.main,
            borderRadius: 4,
            p: 16,
            color: loginErrorDisplayConfig.fontColor || Colors.white[50],
            mb: 16,
            mt: loginErrorDisplayConfig.position !== 'bottom' ? 0 : -1,
        } },
        loginErrorDisplayConfig.dismissible !== false && (react_1.default.createElement(Close_1.default, { sx: {
                '&:hover': {
                    cursor: 'pointer',
                },
                float: 'right',
            }, onClick: function () {
                setShowErrorMessageBox(false);
            } })),
        react_1.default.createElement(Typography_1.default, { variant: "body2" }, t(transitErrorMessage)))) : (react_1.default.createElement(react_1.default.Fragment, null));
    var contactEatonRepresentative = showContactSupport ? (react_1.default.createElement(Typography_1.default, { variant: "body2", color: 'primary' },
        react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: routes.SUPPORT }, t('blui:MESSAGES.CONTACT')))) : (react_1.default.createElement(react_1.default.Fragment, null));
    var getEmailHelperText = function () {
        if (hasEmailError()) {
            return t('blui:MESSAGES.EMAIL_ENTRY_ERROR');
        }
        else if (isInvalidCredentials) {
            return t('blui:LOGIN.INCORRECT_CREDENTIALS');
        }
        return '';
    };
    var createAccountOption = react_1.default.createElement(react_1.default.Fragment, null);
    if (showSelfRegistration) {
        createAccountOption = (react_1.default.createElement(Typography_1.default, { variant: "body2", color: 'primary', sx: { mb: 4 } },
            react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: routes.REGISTER_SELF }, t('blui:ACTIONS.CREATE_ACCOUNT'))));
    }
    // Create buttons and links for debug mode
    var debugButton = react_1.default.createElement(react_1.default.Fragment, null);
    if (allowDebugMode) {
        debugButton = (react_1.default.createElement(Button_1.default, { variant: 'contained', color: 'primary', onClick: function () { return setDebugMode(!debugMode); }, sx: {
                position: 'absolute',
                top: theme.spacing(3),
                right: theme.spacing(3),
            } }, "DEBUG"));
    }
    var debugMessage = react_1.default.createElement(react_1.default.Fragment, null);
    if (debugMode) {
        debugMessage = (react_1.default.createElement(Box_1.default, { sx: {
                backgroundColor: Colors.yellow[500],
                p: 1,
                mb: 2,
            } },
            react_1.default.createElement(Typography_1.default, { variant: 'h6', align: 'center' }, "DEBUG MODE")));
    }
    var debugLinks = !debugMode ? null : (react_1.default.createElement(Box_1.default, { sx: LinksWrapperStyles },
        react_1.default.createElement(Typography_1.default, { variant: "body2" },
            react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: "".concat(routes.REGISTER_INVITE, "?code=DEBUG_VALIDATION_CODE_DEADBEEF") }, "[Test Invite Register]")),
        react_1.default.createElement(Typography_1.default, { variant: "body2" },
            react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: routes.REGISTER_SELF }, "[Test Self Register]")),
        react_1.default.createElement(Typography_1.default, { variant: "body2" },
            react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: "".concat(routes.FORGOT_PASSWORD) }, "[Test Forgot Password]")),
        react_1.default.createElement(Typography_1.default, { variant: "body2" },
            react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: "".concat(routes.RESET_PASSWORD, "?code=DEBUG_VALIDATION_CODE_DEADBEEF") }, "[Test Reset Password Email]")),
        react_1.default.createElement(Typography_1.default, { variant: "body2" },
            react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: "".concat(routes.SUPPORT) }, "[Test Contact Support]"))));
    return (react_1.default.createElement(components_1.BrandedCardContainer, { loading: transitState.transitInProgress },
        !isInvalidCredentials &&
            (loginErrorDisplayConfig.mode === 'dialog' || loginErrorDisplayConfig.mode === 'both') &&
            transitErrorMessage &&
            errorDialog,
        debugButton,
        react_1.default.createElement("form", { onSubmit: function (evt) {
                evt.preventDefault();
                loginTapped();
            } },
            react_1.default.createElement(Box_1.default, { sx: (_a = {
                        p: "".concat(theme.spacing(4), " ").concat(theme.spacing(8)),
                        display: 'flex',
                        flexDirection: 'column'
                    },
                    _a[theme.breakpoints.down('sm')] = {
                        p: "".concat(theme.spacing(4), " ").concat(theme.spacing(4)),
                    },
                    _a) },
                loginHeader && typeof loginHeader === 'function' && loginHeader(null),
                loginHeader && typeof loginHeader !== 'function' && loginHeader,
                debugMessage,
                debugLinks,
                (loginErrorDisplayConfig.mode === 'message-box' || loginErrorDisplayConfig.mode === 'both') &&
                    loginErrorDisplayConfig.position !== 'bottom' &&
                    errorMessageBox,
                react_1.default.createElement(TextField_1.default, { label: loginType === 'username' ? t('blui:LABELS.USERNAME') : t('blui:LABELS.EMAIL'), id: "email", name: loginType === 'username' ? 'username' : 'email', type: loginType === 'username' ? 'text' : 'email', sx: (_b = {
                            mb: isInvalidCredentials || hasEmailError()
                                ? 4
                                : "".concat((parseInt(theme.spacing(4)) + HELPER_TEXT_HEIGHT).toString(), "px")
                        },
                        _b[theme.breakpoints.down('sm')] = {
                            mb: isInvalidCredentials || hasEmailError()
                                ? 3
                                : "".concat((parseInt(theme.spacing(3)) + HELPER_TEXT_HEIGHT).toString(), "px"),
                        },
                        _b), value: emailInput, onChange: function (evt) {
                        var value = evt.target.value;
                        setIsValidEmail(react_auth_shared_1.EMAIL_REGEX.test(value));
                        setEmailInput(value);
                        if (authUIState.login.transitErrorMessage !== null)
                            authUIActions.dispatch(react_auth_shared_1.AccountActions.resetLogin());
                    }, onKeyPress: function (e) {
                        if (e.key === 'Enter' && passwordField.current)
                            passwordField.current.focus();
                    }, onBlur: function () {
                        setShouldValidateEmail(true);
                    }, variant: "filled", error: hasEmailError() || isInvalidCredentials, helperText: getEmailHelperText() }),
                react_1.default.createElement(components_1.SecureTextField, { inputRef: passwordField, id: "password", name: "password", label: t('blui:LABELS.PASSWORD'), sx: {
                        mb: isInvalidCredentials
                            ? 3
                            : "".concat((parseInt(theme.spacing(3)) + HELPER_TEXT_HEIGHT).toString(), "px"),
                    }, value: passwordInput, onChange: function (evt) {
                        setPasswordInput(evt.target.value);
                        if (authUIState.login.transitErrorMessage !== null)
                            authUIActions.dispatch(react_auth_shared_1.AccountActions.resetLogin());
                    }, variant: "filled", error: isInvalidCredentials, helperText: isInvalidCredentials ? t('blui:LOGIN.INCORRECT_CREDENTIALS') : '' }),
                (loginErrorDisplayConfig.mode === 'message-box' || loginErrorDisplayConfig.mode === 'both') &&
                    loginErrorDisplayConfig.position === 'bottom' &&
                    errorMessageBox,
                react_1.default.createElement(Grid_1.default, { container: true, direction: "row", alignItems: "center", justifyContent: "space-between", sx: (_c = {
                            mb: 5,
                            flexWrap: 'nowrap'
                        },
                        _c[theme.breakpoints.down('sm')] = {
                            flexWrap: 'wrap',
                            flexDirection: 'column',
                            justifyContent: 'center',
                        },
                        _c) },
                    showRememberMe && (react_1.default.createElement(FormControlLabel_1.default, { sx: (_d = {},
                            _d[theme.breakpoints.down('sm')] = {
                                mr: 0,
                            },
                            _d), control: react_1.default.createElement(Checkbox_1.default, { color: "primary", checked: rememberPassword, onChange: function (evt) { return setRememberPassword(evt.target.checked); } }), label: t('blui:ACTIONS.REMEMBER') })),
                    react_1.default.createElement(Button_1.default, { type: "submit", variant: "contained", disableElevation: true, disabled: loginType === 'username'
                            ? !emailInput || !passwordInput
                            : !react_auth_shared_1.EMAIL_REGEX.test(emailInput) || !passwordInput, color: "primary", sx: { width: showRememberMe ? 150 : '100%' } }, t('blui:ACTIONS.LOG_IN'))),
                loginActions && typeof loginActions === 'function' && loginActions(null),
                loginActions && typeof loginActions !== 'function' && loginActions,
                react_1.default.createElement(Box_1.default, { sx: showLinks ? LinksWrapperStyles : undefined },
                    enableResetPassword && (react_1.default.createElement(Typography_1.default, { variant: "body2", color: 'primary' },
                        react_1.default.createElement(Box_1.default, { component: react_router_dom_1.Link, sx: LinkStyles(theme), to: routes.FORGOT_PASSWORD }, t('blui:LABELS.FORGOT_PASSWORD')))),
                    (showContactSupport || showSelfRegistration) && (react_1.default.createElement(Typography_1.default, { variant: "body2", sx: { mt: enableResetPassword ? 4 : 0 } }, t('blui:LABELS.NEED_ACCOUNT'))),
                    createAccountOption,
                    contactEatonRepresentative),
                loginFooter && typeof loginFooter === 'function' && loginFooter(null),
                loginFooter && typeof loginFooter !== 'function' && loginFooter,
                showCybersecurityBadge && (react_1.default.createElement(Box_1.default, { component: "img", src: cybersecurity_certified_png_1.default, sx: {
                        alignSelf: 'center',
                        maxWidth: '30%',
                    }, alt: "CyberSecurity Certification Badge" }))))));
};
exports.Login = Login;
