"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Splash = void 0;
var react_1 = __importDefault(require("react"));
var CardContent_1 = __importDefault(require("@mui/material/CardContent"));
var components_1 = require("../components");
var CircularProgress_1 = __importDefault(require("@mui/material/CircularProgress"));
var Box_1 = __importDefault(require("@mui/material/Box"));
/**
 * Renders the splash screen displayed while loading the initial
 * authentication state.
 *
 * @param mainImage the product logo or image to use on the loading screen
 *
 * @category Component
 */
var Splash = function (props) {
    var mainImage = props.mainImage;
    return (react_1.default.createElement(components_1.BrandedCardContainer, null,
        react_1.default.createElement(CardContent_1.default, { sx: {
                flex: '1 1 0px',
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                flexDirection: 'column',
            } },
            mainImage && (react_1.default.createElement(Box_1.default, { sx: { pb: 6 } },
                react_1.default.createElement(Box_1.default, { component: "img", src: "".concat(mainImage), sx: {
                        maxWidth: '100%',
                        maxHeight: 80,
                    }, alt: "product logo" }))),
            react_1.default.createElement(CircularProgress_1.default, { size: mainImage ? 40 : 70, variant: 'indeterminate' }))));
};
exports.Splash = Splash;
