import React from 'react';
export type AcceptEulaProps = {
    eulaAccepted: boolean;
    eulaContent?: string;
    onEulaChanged: (accepted: boolean) => void;
    loadEula: () => Promise<void> | void;
    htmlEula?: boolean;
    eulaError?: string;
};
/**
 * Component that renders a screen displaying the EULA and requests acceptance via a checkbox.
 *
 * @param eulaAccepted true if the checkbox should be checked
 * @param eulaContent the content to render for the EULA. Can be a plain string or HTML
 * @param onEulaChanged function to call when the state of the checkbox is changed
 * @param loadEula function to call to retrieve the eulaContent
 * @param htmlEula true if the EULA should be rendered as HTML
 * @param eulaError error message if the EULA fails to load
 *
 * @category Component
 */
export declare const AcceptEula: React.FC<React.PropsWithChildren<React.PropsWithChildren<AcceptEulaProps>>>;
