"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AcceptEula = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var FormControlLabel_1 = __importDefault(require("@mui/material/FormControlLabel"));
var Checkbox_1 = __importDefault(require("@mui/material/Checkbox"));
var dompurify_1 = __importDefault(require("dompurify"));
var Box_1 = __importDefault(require("@mui/material/Box"));
/**
 * Component that renders a screen displaying the EULA and requests acceptance via a checkbox.
 *
 * @param eulaAccepted true if the checkbox should be checked
 * @param eulaContent the content to render for the EULA. Can be a plain string or HTML
 * @param onEulaChanged function to call when the state of the checkbox is changed
 * @param loadEula function to call to retrieve the eulaContent
 * @param htmlEula true if the EULA should be rendered as HTML
 * @param eulaError error message if the EULA fails to load
 *
 * @category Component
 */
var AcceptEula = function (props) {
    var _a;
    var eulaAccepted = props.eulaAccepted, eulaContent = props.eulaContent, onEulaChanged = props.onEulaChanged, loadEula = props.loadEula, htmlEula = props.htmlEula, eulaError = props.eulaError;
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var eulaContentInternals = (_a = eulaContent !== null && eulaContent !== void 0 ? eulaContent : eulaError) !== null && _a !== void 0 ? _a : t('blui:REGISTRATION.EULA.LOADING');
    (0, react_1.useEffect)(function () {
        void loadEula();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        !htmlEula && react_1.default.createElement(Typography_1.default, { sx: { flex: '1 1 0px', overflow: 'auto' } }, eulaContentInternals),
        htmlEula && (react_1.default.createElement(Box_1.default, { sx: { flex: '1 1 0px', overflow: 'auto' }, dangerouslySetInnerHTML: { __html: dompurify_1.default.sanitize(eulaContentInternals) } })),
        react_1.default.createElement(FormControlLabel_1.default, { control: react_1.default.createElement(Checkbox_1.default, { color: 'primary', checked: eulaAccepted, disabled: !eulaContent, onChange: function (event) {
                    return onEulaChanged(event.target.checked);
                } }), label: t('blui:REGISTRATION.EULA.AGREE_TERMS'), sx: { flex: '0 0 auto', mr: 0, mt: 2 } })));
};
exports.AcceptEula = AcceptEula;
