import React from 'react';
import { AccountDetailInformation } from '@brightlayer-ui/react-auth-shared';
export type AccountDetailsWrapperProps = {
    description?: string;
};
export type AccountDetailsProps = {
    onDetailsChanged: (details: (AccountDetailInformation & {
        valid: boolean;
    }) | null) => void;
    initialDetails?: AccountDetailInformation;
    onSubmit?: () => void;
};
/**
 * Component that wraps a form field with an optional description text.
 *
 * @param description an object specifying any details to pre-fill
 * @category Component
 */
export declare const AccountDetailsWrapper: React.FC<React.PropsWithChildren<React.PropsWithChildren<AccountDetailsWrapperProps>>>;
/**
 * Component that renders a screen requesting user first and last name.
 *
 * @param initialDetails an object specifying any details to pre-fill
 * @param onDetailsChanged a function to call when any of the detail fields values change
 * @param onSubmit function to call when the user submits the mini form
 * @category Component
 */
export declare const AccountDetails: React.FC<React.PropsWithChildren<React.PropsWithChildren<AccountDetailsProps>>>;
