"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountDetails = exports.AccountDetailsWrapper = void 0;
var react_1 = __importStar(require("react"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var TextField_1 = __importDefault(require("@mui/material/TextField"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var styles_1 = require("@mui/material/styles");
var styles_2 = require("../../styles");
/**
 * Component that wraps a form field with an optional description text.
 *
 * @param description an object specifying any details to pre-fill
 * @category Component
 */
var AccountDetailsWrapper = function (props) {
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var _a = props.description, description = _a === void 0 ? t('blui:REGISTRATION.INSTRUCTIONS.ACCOUNT_DETAILS') : _a;
    var theme = (0, styles_1.useTheme)();
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Typography_1.default, null, description),
        react_1.default.createElement(Divider_1.default, { sx: (0, styles_2.FullDividerStyles)(theme) }),
        props.children));
};
exports.AccountDetailsWrapper = AccountDetailsWrapper;
/**
 * Component that renders a screen requesting user first and last name.
 *
 * @param initialDetails an object specifying any details to pre-fill
 * @param onDetailsChanged a function to call when any of the detail fields values change
 * @param onSubmit function to call when the user submits the mini form
 * @category Component
 */
var AccountDetails = function (props) {
    var _a, _b, _c, _d, _e, _f;
    var onDetailsChanged = props.onDetailsChanged, initialDetails = props.initialDetails, onSubmit = props.onSubmit;
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var theme = (0, styles_1.useTheme)();
    var firstRef = (0, react_1.useRef)(null);
    var lastRef = (0, react_1.useRef)(null);
    var _g = react_1.default.useState(initialDetails ? initialDetails.firstName : ''), firstNameInput = _g[0], setFirstNameInput = _g[1];
    var _h = react_1.default.useState(initialDetails ? initialDetails.lastName : ''), lastNameInput = _h[0], setLastNameInput = _h[1];
    var firstNameLengthLimit = ((_c = (_b = (_a = (0, react_auth_shared_1.useInjectedUIContext)()) === null || _a === void 0 ? void 0 : _a.registrationConfig) === null || _b === void 0 ? void 0 : _b.firstName) === null || _c === void 0 ? void 0 : _c.maxLength) || null;
    var lastNameLengthLimit = ((_f = (_e = (_d = (0, react_auth_shared_1.useInjectedUIContext)()) === null || _d === void 0 ? void 0 : _d.registrationConfig) === null || _e === void 0 ? void 0 : _e.lastName) === null || _f === void 0 ? void 0 : _f.maxLength) || null;
    (0, react_1.useEffect)(function () {
        // validation checks
        var valid = firstNameInput !== '' && lastNameInput !== '';
        onDetailsChanged({ firstName: firstNameInput, lastName: lastNameInput, valid: valid });
    }, [onDetailsChanged, firstNameInput, lastNameInput]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(TextField_1.default, { inputRef: firstRef, id: "first", label: t('blui:FORMS.FIRST_NAME'), fullWidth: true, value: firstNameInput, onChange: function (evt) {
                setFirstNameInput(evt.target.value);
            }, onKeyPress: function (e) {
                if (e.key === 'Enter' && lastRef.current)
                    lastRef.current.focus();
            }, variant: "filled", inputProps: { maxLength: firstNameLengthLimit } }),
        react_1.default.createElement(TextField_1.default, { inputRef: lastRef, id: "last", label: t('blui:FORMS.LAST_NAME'), fullWidth: true, value: lastNameInput, onChange: function (evt) {
                setLastNameInput(evt.target.value);
            }, onKeyPress: function (e) {
                if (e.key === 'Enter' && onSubmit)
                    onSubmit();
            }, variant: "filled", sx: (0, styles_2.TextFieldStyles)(theme), inputProps: { maxLength: lastNameLengthLimit } })));
};
exports.AccountDetails = AccountDetails;
