import React from 'react';
export type CreateAccountProps = {
    initialEmail?: string;
    onEmailChanged: (email: string) => void;
    onSubmit?: () => void;
};
/**
 * Component that renders a screen for the user to enter their email address to start the
 * account creation process.
 *
 * @param initialEmail email address used to pre-fill the text field
 * @param onEmailChanged function to call when the value of the email input changes
 * @param onSubmit function to call when the user submits the mini form
 *
 * @category Component
 */
export declare const CreateAccount: React.FC<React.PropsWithChildren<React.PropsWithChildren<CreateAccountProps>>>;
