"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAccount = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var TextField_1 = __importDefault(require("@mui/material/TextField"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var styles_1 = require("../../styles");
var styles_2 = require("@mui/material/styles");
var isValidEmail = function (text) { return new RegExp(react_auth_shared_1.EMAIL_REGEX).test(text); };
/**
 * Component that renders a screen for the user to enter their email address to start the
 * account creation process.
 *
 * @param initialEmail email address used to pre-fill the text field
 * @param onEmailChanged function to call when the value of the email input changes
 * @param onSubmit function to call when the user submits the mini form
 *
 * @category Component
 */
var CreateAccount = function (props) {
    var initialEmail = props.initialEmail, onEmailChanged = props.onEmailChanged, onSubmit = props.onSubmit;
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var theme = (0, styles_2.useTheme)();
    var _a = (0, react_1.useState)(initialEmail !== null && initialEmail !== void 0 ? initialEmail : ''), emailInput = _a[0], setEmailInput = _a[1];
    var showEmailError = emailInput.length !== 0 && !isValidEmail(emailInput);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Typography_1.default, null, t('blui:SELF_REGISTRATION.INSTRUCTIONS')),
        react_1.default.createElement(Divider_1.default, { sx: (0, styles_1.FullDividerStyles)(theme) }),
        react_1.default.createElement(TextField_1.default, { id: "email", label: t('blui:LABELS.EMAIL'), fullWidth: true, value: emailInput, onChange: function (evt) {
                setEmailInput(evt.target.value);
                var validEmailOrEmpty = isValidEmail(evt.target.value) ? evt.target.value : '';
                onEmailChanged(validEmailOrEmpty);
            }, onKeyPress: function (e) {
                if (e.key === 'Enter' && onSubmit)
                    onSubmit();
            }, variant: "filled", error: showEmailError, helperText: showEmailError ? t('blui:MESSAGES.EMAIL_ENTRY_ERROR') : '' })));
};
exports.CreateAccount = CreateAccount;
