import React from 'react';
export type CreatePasswordProps = {
    onPasswordChanged: (password: string) => void;
    initialPassword?: string;
    onSubmit?: () => void;
};
/**
 * Component that renders a screen displaying a form for creating a password.
 *
 * @param initialPassword value to pre-populate the password and confirmation fields
 * @param onPasswordChanged function to call when the password or confirm fields change
 * @param onSubmit function to call when the mini form is submitted
 *
 * @category Component
 */
export declare const CreatePassword: React.FC<React.PropsWithChildren<React.PropsWithChildren<CreatePasswordProps>>>;
