"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreatePassword = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var components_1 = require("../../components");
var constants_1 = require("../../constants");
/**
 * Component that renders a screen displaying a form for creating a password.
 *
 * @param initialPassword value to pre-populate the password and confirmation fields
 * @param onPasswordChanged function to call when the password or confirm fields change
 * @param onSubmit function to call when the mini form is submitted
 *
 * @category Component
 */
var CreatePassword = function (props) {
    var onPasswordChanged = props.onPasswordChanged, _a = props.initialPassword, initialPassword = _a === void 0 ? '' : _a, onSubmit = props.onSubmit;
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var passwordRef = (0, react_1.useRef)(null);
    var confirmRef = (0, react_1.useRef)(null);
    var _b = (0, react_1.useState)(initialPassword), passwordInput = _b[0], setPasswordInput = _b[1];
    var _c = (0, react_1.useState)(initialPassword), confirmInput = _c[0], setConfirmInput = _c[1];
    var _d = (0, react_auth_shared_1.useInjectedUIContext)().passwordRequirements, passwordRequirements = _d === void 0 ? (0, constants_1.defaultPasswordRequirements)(t) : _d;
    var areValidMatchingPasswords = (0, react_1.useCallback)(function () {
        for (var i = 0; i < passwordRequirements.length; i++) {
            if (!new RegExp(passwordRequirements[i].regex).test(passwordInput))
                return false;
        }
        return confirmInput === passwordInput;
    }, [passwordRequirements, passwordInput, confirmInput]);
    var updateFields = (0, react_1.useCallback)(function (fields) {
        setPasswordInput(fields.password);
        setConfirmInput(fields.confirm);
    }, [setPasswordInput, setConfirmInput]);
    (0, react_1.useEffect)(function () {
        onPasswordChanged(areValidMatchingPasswords() ? passwordInput : '');
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [onPasswordChanged, passwordInput, confirmInput, areValidMatchingPasswords]);
    return (react_1.default.createElement(components_1.ChangePasswordForm, { passwordRef: passwordRef, confirmRef: confirmRef, initialPassword: initialPassword, initialConfirm: initialPassword, onPasswordChange: updateFields, onSubmit: onSubmit }));
};
exports.CreatePassword = CreatePassword;
