"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExistingAccountComplete = void 0;
var react_1 = __importDefault(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var components_1 = require("../../components");
var Person_1 = __importDefault(require("@mui/icons-material/Person"));
/**
 * Component that renders a screen displaying success for creating an account for
 * a user that already exists.
 *
 * @category Component
 */
var ExistingAccountComplete = function () {
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    return (react_1.default.createElement(components_1.FinishState, { icon: react_1.default.createElement(Person_1.default, { color: 'primary', sx: { fontSize: 100, mb: 2 } }), title: t('blui:MESSAGES.WELCOME'), description: t('blui:REGISTRATION.SUCCESS_EXISTING') }));
};
exports.ExistingAccountComplete = ExistingAccountComplete;
