"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegistrationComplete = void 0;
var react_1 = __importDefault(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var react_i18next_1 = require("react-i18next");
var components_1 = require("../../components");
var CheckCircle_1 = __importDefault(require("@mui/icons-material/CheckCircle"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
/**
 * Component that renders a screen displaying success for creating an account for
 * a new user.
 *
 * @param firstName first name for the new user
 * @param lastName last name for the new user
 * @param email email address for the new user
 * @param organization organization that the user has joined
 *
 * @category Component
 */
var RegistrationComplete = function (props) {
    var firstName = props.firstName, lastName = props.lastName, email = props.email, organization = props.organization;
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    return (react_1.default.createElement(components_1.FinishState, { icon: react_1.default.createElement(CheckCircle_1.default, { color: 'primary', sx: { fontSize: 100, mb: 2 } }), title: "".concat(t('blui:MESSAGES.WELCOME'), ", ").concat(firstName, " ").concat(lastName, "!"), description: react_1.default.createElement(Typography_1.default, { variant: "subtitle2" },
            react_1.default.createElement(react_i18next_1.Trans, { i18nKey: 'blui:REGISTRATION.SUCCESS_MESSAGE_ALT', values: { email: email, organization: organization } },
                "Your account has successfully been created with the email ",
                react_1.default.createElement("b", null, email),
                " belonging to the",
                react_1.default.createElement("b", null, " ".concat(organization)),
                " org.")) }));
};
exports.RegistrationComplete = RegistrationComplete;
