import React from 'react';
export type VerifyEmailProps = {
    initialCode?: string;
    onVerifyCodeChanged: (code: string) => void;
    onResendVerificationEmail: () => void;
    onSubmit?: () => void;
};
/**
 * Component that renders a screen that prompts a user to enter the confirmation code
 * that was sent to the email address that they used to register.
 *
 * @param initialCode code used to pre-populate the field
 * @param onVerifyCodeChanged function to call when the code input value changes
 * @param onResendVerificationEmail function to call when the user clicks the 'resend code' button
 * @param onSubmit function to call when the user submits the mini form
 *
 * @category Component
 */
export declare const VerifyEmail: React.FC<React.PropsWithChildren<React.PropsWithChildren<VerifyEmailProps>>>;
