"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifyEmail = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var Button_1 = __importDefault(require("@mui/material/Button"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var TextField_1 = __importDefault(require("@mui/material/TextField"));
var Divider_1 = __importDefault(require("@mui/material/Divider"));
var styles_1 = require("@mui/material/styles");
var styles_2 = require("../../styles");
/**
 * Component that renders a screen that prompts a user to enter the confirmation code
 * that was sent to the email address that they used to register.
 *
 * @param initialCode code used to pre-populate the field
 * @param onVerifyCodeChanged function to call when the code input value changes
 * @param onResendVerificationEmail function to call when the user clicks the 'resend code' button
 * @param onSubmit function to call when the user submits the mini form
 *
 * @category Component
 */
var VerifyEmail = function (props) {
    var initialCode = props.initialCode, onVerifyCodeChanged = props.onVerifyCodeChanged, onResendVerificationEmail = props.onResendVerificationEmail, onSubmit = props.onSubmit;
    var theme = (0, styles_1.useTheme)();
    var t = (0, react_auth_shared_1.useLanguageLocale)().t;
    var _a = react_1.default.useState(initialCode !== null && initialCode !== void 0 ? initialCode : ''), verifyCode = _a[0], setVerifyCode = _a[1];
    (0, react_1.useEffect)(function () {
        setVerifyCode(initialCode !== null && initialCode !== void 0 ? initialCode : '');
    }, [initialCode]);
    (0, react_1.useEffect)(function () {
        onVerifyCodeChanged(verifyCode);
    }, [verifyCode, onVerifyCodeChanged]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Typography_1.default, null, t('blui:SELF_REGISTRATION.VERIFY_EMAIL.MESSAGE')),
        react_1.default.createElement(Divider_1.default, { sx: (0, styles_2.FullDividerStyles)(theme) }),
        react_1.default.createElement(TextField_1.default, { id: "code", label: t('blui:SELF_REGISTRATION.VERIFY_EMAIL.VERIFICATION'), fullWidth: true, value: verifyCode, onChange: function (evt) {
                setVerifyCode(evt.target.value);
            }, onKeyPress: function (e) {
                if (e.key === 'Enter' && onSubmit)
                    onSubmit();
            }, variant: "filled" }),
        react_1.default.createElement(Button_1.default, { variant: 'contained', color: 'primary', disableElevation: true, onClick: function () { return onResendVerificationEmail(); }, sx: { mt: 2 } }, t('blui:SELF_REGISTRATION.VERIFY_EMAIL.RESEND'))));
};
exports.VerifyEmail = VerifyEmail;
