"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ViewEulaSubscreen = void 0;
var react_1 = __importStar(require("react"));
var Typography_1 = __importDefault(require("@mui/material/Typography"));
var FormControlLabel_1 = __importDefault(require("@mui/material/FormControlLabel"));
var Checkbox_1 = __importDefault(require("@mui/material/Checkbox"));
var dompurify_1 = __importDefault(require("dompurify"));
var Box_1 = __importDefault(require("@mui/material/Box"));
var base_1 = require("@mui/base");
var css_1 = require("@emotion/css");
var i18n_1 = __importDefault(require("../../../translations/i18n"));
var ViewEulaSubscreenClasses_1 = require("./ViewEulaSubscreenClasses");
var auth_shared_1 = require("../../../auth-shared");
var useUtilityClasses = function (ownerState) {
    var classes = ownerState.classes;
    var slots = {
        loader: ['loader'],
        eulaContent: ['eulaContent'],
        checkboxLabel: ['checkboxLabel'],
    };
    return (0, base_1.unstable_composeClasses)(slots, ViewEulaSubscreenClasses_1.getViewEulaSubscreenUtilityClass, classes);
};
/**
 * Component that renders a screen displaying the EULA and requests acceptance via a checkbox.
 *
 * @param eulaAccepted true if the checkbox should be checked
 *
 * @param eulaContent the content to render for the EULA. Can be a plain string or HTML
 *
 * @param onEulaCheckboxChanged function to call when the state of the checkbox is changed
 *
 * @param loadEula function to call to retrieve the eulaContent
 *
 * @param htmlEula true if the EULA should be rendered as HTML
 *
 * @param eulaError error message if the EULA fails to load
 *
 * @param agreeTerms to override terms and conditions text
 *
 * @param slots used for each slot in `ContactSupport`
 *
 * @param slotProps applied to each slot
 *
 * @category Component
 */
var ViewEulaSubscreen = function (props) {
    var _a, _b;
    var t = (0, auth_shared_1.useLanguageLocale)().t;
    var eulaAccepted = props.eulaAccepted, onEulaCheckboxChanged = props.onEulaCheckboxChanged, htmlEula = props.htmlEula, eulaError = props.eulaError, _c = props.agreeTerms, agreeTerms = _c === void 0 ? t('blui:REGISTRATION.EULA.AGREE_TERMS') : _c, _d = props.classes, classes = _d === void 0 ? {} : _d, _e = props.slots, slots = _e === void 0 ? {} : _e, _f = props.slotProps, slotProps = _f === void 0 ? {} : _f, loadEulaAction = props.loadEulaAction;
    var defaultClasses = useUtilityClasses(props);
    var CheckboxLabel = (_a = slots.checkboxLabel) !== null && _a !== void 0 ? _a : FormControlLabel_1.default;
    var Loader = (_b = slots.loader) !== null && _b !== void 0 ? _b : Typography_1.default;
    var _g = (0, react_1.useState)(), eulaContent = _g[0], setEulaContent = _g[1];
    var _h = (0, react_1.useState)(false), isEulaLoaded = _h[0], setIsEulaLoaded = _h[1];
    // Load the Eula if we don't have it yet
    var loadAndCacheEula = (0, react_1.useCallback)(function () { return __awaiter(void 0, void 0, void 0, function () {
        var eulaText, _a;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    if (!!eulaContent) return [3 /*break*/, 4];
                    setEulaContent(t('blui:REGISTRATION.EULA.LOADING'));
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, loadEulaAction(i18n_1.default.language)];
                case 2:
                    eulaText = _b.sent();
                    setEulaContent(eulaText);
                    setIsEulaLoaded(true);
                    return [3 /*break*/, 4];
                case 3:
                    _a = _b.sent();
                    setEulaContent(eulaError);
                    return [3 /*break*/, 4];
                case 4: return [2 /*return*/];
            }
        });
    }); }, [eulaContent, setEulaContent, loadEulaAction, eulaError, t]);
    (0, react_1.useEffect)(function () {
        void loadAndCacheEula();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        !htmlEula && (react_1.default.createElement(Loader, __assign({ sx: { flex: '1 1 0px', overflow: 'auto' }, className: (0, css_1.cx)(defaultClasses.loader, classes.loader) }, slotProps.loader), eulaContent)),
        htmlEula && (react_1.default.createElement(Box_1.default, __assign({ sx: { flex: '1 1 0px', overflow: 'auto' }, className: (0, css_1.cx)(defaultClasses.eulaContent, classes.eulaContent), component: slots.eulaContent, dangerouslySetInnerHTML: { __html: dompurify_1.default.sanitize(eulaContent) } }, slotProps.eulaContent))),
        react_1.default.createElement(CheckboxLabel, __assign({ control: react_1.default.createElement(Checkbox_1.default, { color: 'primary', checked: eulaAccepted, disabled: !isEulaLoaded, onChange: function (event) {
                    return onEulaCheckboxChanged(event.target.checked);
                } }), label: agreeTerms, sx: { flex: '0 0 auto', mr: 0, mt: 2 }, className: (0, css_1.cx)(defaultClasses.checkboxLabel, classes.checkboxLabel) }, slotProps.checkboxLabel))));
};
exports.ViewEulaSubscreen = ViewEulaSubscreen;
