"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var i18next_1 = __importDefault(require("i18next"));
var react_i18next_1 = require("react-i18next");
var i18next_browser_languagedetector_1 = __importDefault(require("i18next-browser-languagedetector"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
void i18next_1.default
    .use(react_i18next_1.initReactI18next) // passes i18n down to react-i18next
    .use(i18next_browser_languagedetector_1.default) // allows us to infer the language from browser language selection
    .init({
    load: 'languageOnly',
    detection: {
        order: ['querystring', 'localStorage', 'navigator'],
        caches: ['localStorage'],
        lookupLocalStorage: 'blui-auth-i18nextLng',
    },
    whitelist: ['en', 'fr', 'es', 'zh', 'pt'],
    ns: ['app', 'blui'],
    defaultNS: 'app',
    fallbackNS: 'blui',
    resources: {
        en: {
            blui: react_auth_shared_1.translations.english.translation,
            app: {},
        },
        fr: {
            blui: react_auth_shared_1.translations.french.translation,
            app: {},
        },
        es: {
            blui: react_auth_shared_1.translations.spanish.translation,
            app: {},
        },
        zh: {
            blui: react_auth_shared_1.translations.chinese.translation,
            app: {},
        },
        pt: {
            blui: react_auth_shared_1.translations.portuguese.translation,
            app: {},
        },
    },
    fallbackLng: 'en',
    interpolation: {
        escapeValue: false,
    },
});
exports.default = i18next_1.default;
